/*
 * File: neural_function.c
 *
 * MATLAB Coder version            : 3.0
 * C/C++ source code generated on  : 28-Feb-2020 13:01:40
 */

/* Include Files */
#include "header/rt_nonfinite.h"
#include "header/neural_function.h"
#include "header/bsxfun.h"
#include "header/repmat.h"
#include "header/repmat.c"
#include <cstring>

/* Function Declarations */
static void mapminmax_apply(const double x[550], const double settings_gain[550],
  const double settings_xoffset[550], double y[550]);
static void softmax_apply(double n[4], double a[4]);
static void tansig_apply(const double n[8], double a[8]);

/* Function Definitions */

/*
 * Arguments    : const double x[550]
 *                const double settings_gain[550]
 *                const double settings_xoffset[550]
 *                double y[550]
 * Return Type  : void
 */
static void mapminmax_apply(const double x[550], const double settings_gain[550],
  const double settings_xoffset[550], double y[550])
{
  double dv7[550];
  double dv8[550];

  /*  ===== MODULE FUNCTIONS ======== */
  /*  Map Minimum and Maximum Input Processing Function */
  bsxfun(x, settings_xoffset, dv7);
  b_bsxfun(dv7, settings_gain, dv8);
  c_bsxfun(dv8, y);
}

/*
 * Arguments    : double n[4]
 *                double a[4]
 * Return Type  : void
 */
static void softmax_apply(double n[4], double a[4])
{
  int ixstart;
  double mtmp;
  int ix;
  boolean_T exitg1;
  double av[4];
  double numer[4];
  double denom;

  /*  Competitive Soft Transfer Function */
  ixstart = 1;
  mtmp = n[0];
  if (rtIsNaN(n[0])) {
    ix = 2;
    exitg1 = false;
    while ((!exitg1) && (ix < 5)) {
      ixstart = ix;
      if (!rtIsNaN(n[ix - 1])) {
        mtmp = n[ix - 1];
        exitg1 = true;
      } else {
        ix++;
      }
    }
  }

  if (ixstart < 4) {
    while (ixstart + 1 < 5) {
      if (n[ixstart] > mtmp) {
        mtmp = n[ixstart];
      }

      ixstart++;
    }
  }

  for (ixstart = 0; ixstart < 4; ixstart++) {
    av[ixstart] = n[ixstart] - mtmp;
  }

  for (ixstart = 0; ixstart < 4; ixstart++) {
    numer[ixstart] = exp(av[ixstart]);
  }

  denom = numer[0];
  for (ixstart = 0; ixstart < 3; ixstart++) {
    denom += numer[ixstart + 1];
  }

  mtmp = denom;
  for (ixstart = 0; ixstart < 1; ixstart++) {
    if (denom == 0.0) {
      mtmp = 1.0;
    }
  }

  for (ixstart = 0; ixstart < 4; ixstart++) {
    a[ixstart] = numer[ixstart] / mtmp;
  }
}

/*
 * Arguments    : const double n[8]
 *                double a[8]
 * Return Type  : void
 */
static void tansig_apply(const double n[8], double a[8])
{
  int k;

  /*  Sigmoid Symmetric Transfer Function */
  for (k = 0; k < 8; k++) {
    a[k] = 2.0 / (1.0 + exp(-2.0 * n[k])) - 1.0;
  }
}

/*
 * NEURAL_FUNCTION neural network simulation function.
 *
 *  Generated by Neural Network Toolbox function genFunction, 28-Feb-2020 12:41:17.
 *
 *  [Y] = neural_function(X,~,~) takes these arguments:
 *
 *    X = 1xTS cell, 1 inputs over TS timesteps
 *    Each X{1,ts} = 550xQ matrix, input #1 at timestep ts.
 *
 *  and returns:
 *    Y = 1xTS cell of 1 outputs over TS timesteps.
 *    Each Y{1,ts} = 4xQ matrix, output #1 at timestep ts.
 *
 *  where Q is number of samples (or series) and TS is the number of timesteps.
 * Arguments    : const double X[550]
 *                double Y[4]
 * Return Type  : void
 */
void neural_function(const double X[550], double Y[4])
{
  double dv0[4];
  double dv1[8];
  double dv2[550];
  static const double dv3[550] = { -0.901906208733605, -0.886441611133896,
    -0.814963826570432, -0.643823011867724, -0.557262485063015,
    -0.796083711946469, -0.790759197982147, -0.872371295651659,
    -1.08571078547794, -2.69393367077511, -2.99833303188094, -4.30219418275896,
    -4.44661851213671, -5.0649650666607, -4.75898568225151, -4.7538816689164,
    -4.7538816689164, -4.67640013256507, -6.77411344535953, -3.77487480930052,
    -3.77487480930052, -3.75411918520906, -4.20377508989234, -4.20704885210023,
    -5.08736062221437, -6.1147470614179, -5.88924957271148, -6.19225948802257,
    -6.03445451122649, -8.06222304833883, -8.06222304833883, -8.28222435458946,
    -9.77495724834528, -10.2482974475533, -10.0244331523922, -10.4061544075176,
    -9.64227860941479, -9.66947354992046, -9.00335778536491, -8.54305425681435,
    -8.54305425681435, -8.85039980298602, -8.34797796159733, -7.7552129794832,
    -6.84823064303704, -6.84823064303704, -6.29918592014111, -5.81265621246646,
    -5.49924033892692, -4.82925407167288, -19.0175741105288, -21.0338848205586,
    -22.9464467001702, -22.9464467001702, -21.3836506148482, -19.7634283745791,
    -20.2211644047125, -20.2290557641202, -20.6301453888331, -20.6301453888331,
    -21.484430520851, -20.612970663246, -20.0588290955541, -21.1396574400728,
    -17.5999028112066, -17.5999028112066, -19.0671080239493, -20.5664486473988,
    -21.976903740248, -19.9300173411675, -21.401441719194, -22.3761925512877,
    -21.42781885119, -22.9673326516423, -22.2795884237938, -21.7851864057637,
    -21.604623779574, -22.5196130071748, -20.2187736725396, -18.9631013899543,
    -19.7141028236857, -19.7141028236857, -19.9950486242706, -20.2059742485572,
    -20.5364000489896, -20.2866757361657, -19.1991696283016, -17.9234504599004,
    -17.3151015147117, -15.662209980597, -15.7631822033047, -16.7771714558176,
    -17.9384817623294, -18.367294084276, -20.5212626223348, -19.5493033258633,
    -18.775475211866, -18.2903581382152, -19.1781027882644, -20.6261108631837,
    -0.443682640790939, -0.443682640790939, -0.443682640790939,
    -0.443682640790939, -0.443682640790939, -0.372043609619141,
    -0.372043609619141, -0.372043609619141, -0.372043609619141,
    -0.372043609619141, -0.372043609619141, -0.372043609619141,
    -0.372043609619141, -0.323307752609253, -0.323307752609253,
    -0.309725642204285, -0.309725642204285, -0.309725642204285,
    -0.302002459764481, -0.302002459764481, -0.290817201137543,
    -0.290817201137543, -0.290817201137543, -0.290817201137543,
    -0.280430853366852, -0.249005571007729, -0.249005571007729,
    -0.250070840120316, -0.250070840120316, -0.251402407884598,
    -0.251402407884598, -0.251402407884598, -0.251402407884598,
    -0.251402407884598, -0.251402407884598, -0.252201348543167,
    -0.278832972049713, -0.278832972049713, -0.278832972049713,
    -0.278832972049713, -0.278832972049713, -0.278832972049713,
    -0.278832972049713, -0.278832972049713, -0.259391903877258,
    -0.463390052318573, -0.463390052318573, -0.463390052318573,
    -0.463390052318573, -0.463390052318573, -0.614124953746796,
    -0.614124953746796, -0.603738605976105, -0.539556443691254,
    -0.513990104198456, -0.513990104198456, -0.513990104198456,
    -0.610130190849304, -0.610130190849304, -0.714259803295136,
    -0.755006194114685, -0.755006194114685, -0.755006194114685,
    -0.837297856807709, -0.837297856807709, -0.837297856807709,
    -0.837297856807709, -0.837297856807709, -0.837297856807709,
    -0.837297856807709, -0.837297856807709, -0.704672455787659,
    -0.704672455787659, -0.704672455787659, -0.704672455787659,
    -0.704672455787659, -0.704672455787659, -0.704672455787659,
    -0.645816564559937, -0.661262929439545, -0.661262929439545,
    -0.661262929439545, -0.744353532791138, -0.744353532791138,
    -0.744353532791138, -0.744353532791138, -0.744353532791138,
    -0.744353532791138, -0.631169199943542, -0.631169199943542,
    -0.631169199943542, -0.543284893035889, -0.543284893035889,
    -0.543284893035889, -0.543284893035889, -0.543284893035889,
    -0.543284893035889, -0.344080418348312, -0.344080418348312,
    -0.344080418348312, -0.648213446140289, -0.648213446140289,
    -0.651675522327423, -0.651675522327423, -0.651675522327423,
    -0.651675522327423, -0.651675522327423, -0.651675522327423,
    -0.651675522327423, -0.651675522327423, -0.584563851356506,
    -0.53423011302948, -0.53423011302948, -0.53423011302948, -0.53423011302948,
    -0.53423011302948, -0.53423011302948, -0.515321671962738, -0.515321671962738,
    -0.515321671962738, -0.515321671962738, -0.515321671962738,
    -0.476439535617828, -0.49854376912117, -0.49854376912117, -0.49854376912117,
    -0.49854376912117, -0.49854376912117, -0.49854376912117, -0.463656365871429,
    -0.439421594142914, -0.439421594142914, -0.439421594142914,
    -0.58429753780365, -0.58429753780365, -0.58429753780365, -0.58429753780365,
    -0.58429753780365, -0.58429753780365, -0.58429753780365, -0.58429753780365,
    -0.58429753780365, -0.58429753780365, -0.444215267896652, -0.444215267896652,
    -0.444215267896652, -0.444215267896652, -0.444215267896652,
    -0.396544694900513, -0.396544694900513, -0.128662407398224,
    -0.128662407398224, -0.124443836510181, -0.124443836510181,
    -0.124443836510181, -0.124443836510181, -0.124443836510181,
    -0.106228180229664, -0.106994934380054, -0.107570476830006,
    -0.107570476830006, -0.107570476830006, -0.107570476830006,
    -0.107570476830006, -0.107570476830006, -0.107570476830006,
    -0.10507757216692, -0.10507757216692, -0.10507757216692, -0.10507757216692,
    -0.101050682365894, -0.101050682365894, -0.0997083857655525,
    -0.0997083857655525, -0.0997083857655525, -0.0933807566761971,
    -0.0933807566761971, -0.0933807566761971, -0.0933807566761971,
    -0.0692208483815193, -0.0692208483815193, -0.0707548335194588,
    -0.0770824626088142, -0.0770824626088142, -0.0954902842640877,
    -0.0954902842640877, -0.0954902842640877, -0.0954902842640877,
    -0.0954902842640877, -0.0954902842640877, -0.0954902842640877,
    -0.0954902842640877, -0.0954902842640877, -0.0770824626088142,
    -0.0770824626088142, -0.0738228037953377, -0.0738228037953377,
    -0.0701792910695076, -0.0701792910695076, -0.0701792910695076,
    -0.0851361081004143, -0.0851361081004143, -0.0707551762461662,
    -0.0707551762461662, -0.0864784047007561, -0.0864784047007561,
    -0.0864784047007561, -0.0864784047007561, -0.0864784047007561,
    -0.0864784047007561, -0.0864784047007561, -0.0864784047007561,
    -0.0999008938670158, -0.0999008938670158, -0.0999008938670158,
    -0.0999008938670158, -0.0999008938670158, -0.0999008938670158,
    -0.0999008938670158, -0.100475959479809, -0.100475959479809,
    -0.100475959479809, -0.100475959479809, -0.100475959479809,
    -0.100475959479809, -0.100475959479809, -0.100475959479809,
    -0.0866700932383537, -0.0866700932383537, -0.0866700932383537,
    -0.0866700932383537, -0.0866700932383537, -0.0866700932383537,
    -0.072672538459301, -0.072672538459301, -0.072672538459301,
    -0.072672538459301, -0.072672538459301, -0.072672538459301,
    -0.0696045681834221, -0.0696045681834221, -0.0696045681834221,
    -0.0696045681834221, -0.0696045681834221, -0.0696045681834221,
    -0.072097472846508, -0.072097472846508, -0.072097472846508,
    -0.072097472846508, -0.072097472846508, -3.13277244567871, -3.13277244567871,
    -3.13277244567871, -3.13277244567871, -3.12797856330872, -3.12797856330872,
    -3.12797856330872, -3.12797856330872, -3.12797856330872, -3.12797856330872,
    -3.12797856330872, -3.12797856330872, -3.13852477073669, -3.13852477073669,
    -3.13852477073669, -3.13852477073669, -3.13852477073669, -3.13852477073669,
    -3.13852477073669, -3.13852477073669, -3.14025044441223, -3.14025044441223,
    -3.14025044441223, -3.14044237136841, -3.14044237136841, -3.14044237136841,
    -3.14044237136841, -3.14044237136841, -3.14044237136841, -3.14044237136841,
    -3.14044237136841, -3.14044237136841, -3.14005875587463, -3.14005875587463,
    -3.14005875587463, -3.14005875587463, -3.14005875587463, -3.14005875587463,
    -3.13794946670532, -3.13794946670532, -3.13794946670532, -3.13794946670532,
    -3.13794946670532, -3.13794946670532, -3.13794946670532, -3.13794946670532,
    -3.13794946670532, -3.13948345184326, -3.13948345184326, -3.13948345184326,
    -0.919687509536743, -0.919687509536743, -0.919687509536743,
    -0.919687509536743, -1.1687695980072, -1.1687695980072, -1.1687695980072,
    -1.1687695980072, -1.1687695980072, -1.1687695980072, -1.1687695980072,
    -1.1687695980072, -0.958007872104645, -0.958007872104645, -0.958007872104645,
    -0.958007872104645, -0.958007872104645, -0.958007872104645,
    -0.958007872104645, -0.958007872104645, -1.01548826694489, -1.01548826694489,
    -1.01548826694489, -1.01548826694489, -1.52323246002197, -1.52323246002197,
    -1.52323246002197, -1.52323246002197, -1.52323246002197, -1.52323246002197,
    -1.52323246002197, -1.52323246002197, -1.52323246002197, -1.01548826694489,
    -1.01548826694489, -1.01548826694489, -1.01548826694489, -1.01548826694489,
    -1.01548826694489, -1.01548826694489, -0.670605480670929, -0.670605480670929,
    -0.670605480670929, -0.670605480670929, -0.670605480670929,
    -0.756826221942902, -0.756826221942902, -0.756826221942902,
    -0.756826221942902, -0.890947282314301, -4.0140528678894, -3.42008805274963,
    -3.42008805274963, -3.42008805274963, -3.42008805274963, -2.94108414649963,
    -2.94108414649963, -2.68242192268372, -2.68242192268372, -2.91234397888184,
    -2.91234397888184, -2.91234397888184, -2.91234397888184, -2.91234397888184,
    -3.10394549369812, -3.10394549369812, -3.10394549369812, -3.19016623497009,
    -3.52546882629395, -3.52546882629395, -3.52546882629395, -3.52546882629395,
    -3.52546882629395, -3.64042973518372, -3.76497077941895, -4.34935569763184,
    -4.34935569763184, -4.34935569763184, -4.59843778610229, -4.59843778610229,
    -4.59843778610229, -4.59843778610229, -4.59843778610229, -4.59843778610229,
    -4.59843778610229, -4.59843778610229, -4.57927751541138, -4.57927751541138,
    -4.57927751541138, -4.57927751541138, -4.27271509170532, -4.27271509170532,
    -4.27271509170532, -4.27271509170532, -4.27271509170532, -4.27271509170532,
    -3.84161138534546, -3.84161138534546, -3.85119152069092, -4.50263690948486,
    -14.8970222473145, -15.3664455413818, -15.3664455413818, -15.7975492477417,
    -15.7975492477417, -15.7975492477417, -15.7975492477417, -15.7975492477417,
    -15.7975492477417, -15.7975492477417, -15.7975492477417, -15.7975492477417,
    -15.7975492477417, -15.7113285064697, -15.7113285064697, -15.7113285064697,
    -15.7113285064697, -15.7113285064697, -15.7113285064697, -14.3605375289917,
    -14.3605375289917, -14.1880960464478, -14.1880960464478, -14.1880960464478,
    -13.9869146347046, -13.6707715988159, -13.6803522109985, -16.6597557067871,
    -16.6597557067871, -16.6597557067871, -18.5757713317871, -18.5757713317871,
    -18.5757713317871, -18.5757713317871, -18.5757713317871, -18.6524124145508,
    -18.6524124145508, -18.6524124145508, -18.6524124145508, -18.6524124145508,
    -18.6524124145508, -18.6524124145508, -18.5182914733887, -18.3937511444092,
    -17.5028038024902, -17.5028038024902, -17.5028038024902, -17.5028038024902,
    -17.5028038024902, -17.5028038024902 };

  static const double dv4[550] = { 0.111572924886625, 0.0946961351865157,
    0.0865656658736463, 0.0872116828642017, 0.0939651881335859,
    0.106025629242971, 0.101977183500273, 0.10126713997408, 0.0997555654153358,
    0.0923479151173884, 0.0839447266192862, 0.08215351727218, 0.0851972179689787,
    0.0870496301581941, 0.0977758716389442, 0.0978002752209656,
    0.0991945111493969, 0.0914949829996032, 0.079907581362524,
    0.0884353494289183, 0.084116234157027, 0.0879016789752249,
    0.0875522306546751, 0.0814883820186595, 0.0802456328672095,
    0.0776814461022859, 0.0789485013912429, 0.0745887983231703,
    0.0825239953346281, 0.0783366602325546, 0.0796562101652534,
    0.0829205203422802, 0.0754126259893463, 0.0725286238189106,
    0.0725518602881182, 0.0709621685170508, 0.0757814299823729,
    0.0779834696541524, 0.0835751908896684, 0.0882800505777687,
    0.0890400139479226, 0.0844093736516899, 0.0869396918590858,
    0.0880979654095352, 0.0879992056137916, 0.0882911911513441,
    0.0923584838187829, 0.0974340053696431, 0.0907495346391473,
    0.0846635508146589, 0.105462897982519, 0.094830091307383, 0.0874459404227713,
    0.0871564740362918, 0.094303021537415, 0.101654097511792, 0.0997505825466997,
    0.0992764682856141, 0.0973359750499738, 0.0974055905358682,
    0.0935713932268652, 0.0976835153936026, 0.101610743816818,
    0.0979479898501572, 0.118818625481137, 0.117164609990294, 0.106975743843747,
    0.0990335924604738, 0.0942339732065681, 0.105007961788049,
    0.0973172057117681, 0.0933232947310642, 0.0979443584550577,
    0.0903923977534921, 0.0924812634973586, 0.0940457292641637,
    0.0943561912022127, 0.0908024090501916, 0.101394128675718, 0.107081407125789,
    0.102552015065723, 0.102743940461532, 0.101491174892178, 0.100173958357817,
    0.0989164294061719, 0.0996338036122305, 0.105405041768149, 0.113457242824484,
    0.11807486677018, 0.127322500348281, 0.12650929632315, 0.1176344442229,
    0.108930121907949, 0.106988541780334, 0.0969870642953292, 0.101013729891871,
    0.104141690868123, 0.110549366652359, 0.105378465940077, 0.0985973360230805,
    1.61746118310648, 1.61746118310648, 1.61746118310648, 1.61746118310648,
    1.61746118310648, 1.81310291217733, 2.20489502209006, 2.20489502209006,
    2.71899796563973, 2.38560114789492, 2.38560114789492, 2.38560114789492,
    2.38560114789492, 2.37054051075398, 2.37054051075398, 2.40932699260208,
    2.40932699260208, 2.40932699260208, 2.43195348892663, 2.58961115004876,
    2.62766695482349, 1.90460868044002, 1.90460868044002, 1.89022707050404,
    1.83795215524969, 1.89260896614069, 1.89260896614069, 1.85428940098033,
    1.85428940098033, 1.82766422382994, 1.82766422382994, 1.82766422382994,
    1.82766422382994, 1.82766422382994, 1.82766422382994, 1.82633082402497,
    1.78297062334144, 1.78297062334144, 1.83212303601058, 1.86812740315651,
    1.86812740315651, 1.86812740315651, 2.08260461626701, 2.09246931523118,
    2.13591362602285, 1.72918998896711, 1.72918998896711, 1.72918998896711,
    1.72918998896711, 1.63222607299946, 1.38814647226523, 1.38814647226523,
    1.39822612501499, 1.46391275098098, 1.49183003048889, 1.49183003048889,
    1.49183003048889, 1.39200602893389, 1.39200602893389, 1.29793855012762,
    1.26450114933814, 1.32495979840843, 1.32495979840843, 1.25646180731432,
    1.25646180731432, 1.25646180731432, 1.33106565043542, 1.33106565043542,
    1.33841958670515, 1.66848972123567, 1.66848972123567, 1.99836935541179,
    1.99836935541179, 1.99836935541179, 2.3142903259975, 2.23175990100409,
    2.21660922740728, 1.97524255997771, 2.09714393910298, 2.06371866133582,
    2.06371866133582, 1.98779041788232, 1.81004395856922, 1.81004395856922,
    1.81004395856922, 1.81004395856922, 1.81004395856922, 1.81004395856922,
    2.01661446799181, 2.01661446799181, 1.79404496378914, 1.94758094801174,
    1.94758094801174, 1.93553405925598, 1.93553405925598, 1.93553405925598,
    1.93553405925598, 2.29659702622781, 2.03519574435216, 2.03519574435216,
    1.7331806958367, 1.7331806958367, 1.75136948921257, 1.75136948921257,
    1.73638663803672, 1.73638663803672, 1.73638663803672, 1.73638663803672,
    1.73638663803672, 1.73638663803672, 1.84381838364479, 1.9335407374916,
    1.9335407374916, 1.9335407374916, 1.9335407374916, 2.22977208459508,
    2.34977235429046, 2.4031591746944, 2.47360745909033, 2.50245659557074,
    2.50245659557074, 2.50245659557074, 2.63042804934329, 2.58159926761509,
    2.30152378818229, 2.17866908238658, 2.17866908238658, 2.17866908238658,
    2.17866908238658, 2.26473831840451, 2.32864257687765, 2.32864257687765,
    2.46954031181575, 2.16610109630585, 2.16610109630585, 2.16610109630585,
    2.16610109630585, 2.16610109630585, 2.16610109630585, 2.16610109630585,
    2.16610109630585, 2.21726374053604, 2.21726374053604, 2.62491165072931,
    2.40469816675121, 2.40469816675121, 2.40469816675121, 2.1704833396655,
    2.28889736718799, 2.28889736718799, 10.7751815879039, 10.7751815879039,
    11.0257746632207, 11.0257746632207, 11.0257746632207, 13.1696733162688,
    13.1696733162688, 14.9646386415375, 14.8792747633135, 14.8158359152064,
    14.8158359152064, 14.9005242998421, 14.9005242998421, 14.9005242998421,
    14.9005242998421, 14.9005242998421, 14.8158882504137, 14.5067872826326,
    14.5067872826326, 13.7603880860109, 14.1524940172883, 14.1524940172883,
    14.2882094647364, 14.2882094647364, 12.6123236431345, 13.1365105183785,
    13.1365105183785, 13.1365105183785, 13.1365105183785, 15.6143231789751,
    15.6143231789751, 15.4295379547107, 14.7113841345581, 14.1909927223145,
    12.5515957685575, 12.5515957685575, 12.5515957685575, 12.5515957685575,
    12.5515957685575, 12.1142480843604, 12.1142480843604, 12.1142480843604,
    11.9477459308255, 13.4239206273004, 13.3894239517326, 13.6881329160398,
    13.5989287648049, 13.9443860792319, 13.7061591550769, 13.2533597075245,
    5.98415198344758, 5.98415198344758, 6.25322082780823, 6.25322082780823,
    5.96021425250257, 6.13190698979558, 6.13190698979558, 5.77540095814672,
    5.77540095814672, 5.77540095814672, 5.77540095814672, 5.77540095814672,
    5.55989857549317, 5.55989857549317, 5.55989857549317, 5.71526848409348,
    5.71526848409348, 5.71526848409348, 5.72468381324223, 5.48389739773795,
    5.48389739773795, 5.48389739773795, 5.48389739773795, 5.48389739773795,
    5.48389739773795, 5.48389739773795, 5.72782654642466, 5.96362098516536,
    5.96362098516536, 5.96362098516536, 5.98758614354894, 5.98758614354894,
    5.98758614354894, 6.86661030684808, 7.11970577962323, 7.11970577962323,
    7.11970577962323, 7.11970577962323, 7.11970577962323, 7.19832242245938,
    7.19832242245938, 7.47697106017273, 7.47697106017273, 7.47697106017273,
    7.64690439415873, 7.57470606953773, 7.57470606953773, 7.57470606953773,
    7.77225303287023, 7.77225303287023, 0.319127944519892, 0.319127944519892,
    0.319186545763041, 0.319382018504159, 0.31910843578547, 0.31910843578547,
    0.31910843578547, 0.31910843578547, 0.31910843578547, 0.31910843578547,
    0.31910843578547, 0.31910843578547, 0.31880607039076, 0.31880607039076,
    0.31880607039076, 0.31880607039076, 0.31880607039076, 0.31880607039076,
    0.318552911570683, 0.318552911570683, 0.318465378435716, 0.318465378435716,
    0.318465378435716, 0.318455646098269, 0.318455646098269, 0.318591831978005,
    0.318591831978005, 0.318591831978005, 0.318591831978005, 0.318591831978005,
    0.318591831978005, 0.318757346837613, 0.318776836894384, 0.318786576759255,
    0.318786576759255, 0.318786576759255, 0.318786576759255, 0.318991312147604,
    0.319098664105136, 0.319098664105136, 0.319098664105136, 0.319098664105136,
    0.319098664105136, 0.319098664105136, 0.319098664105136, 0.319098664105136,
    0.318874298697496, 0.318796329334695, 0.318796329334695, 0.318796329334695,
    0.315357326246403, 0.333492898463822, 0.333492898463822, 0.333492898463822,
    0.320194099595515, 0.308370093606773, 0.308370093606773, 0.308370093606773,
    0.308370093606773, 0.308370093606773, 0.308370093606773, 0.308370093606773,
    0.318727562180545, 0.363704784906574, 0.363704784906574, 0.363704784906574,
    0.363704784906574, 0.342802235192182, 0.342802235192182, 0.342802235192182,
    0.339457827455385, 0.339457827455385, 0.339457827455385, 0.339457827455385,
    0.31252479377392, 0.31252479377392, 0.31252479377392, 0.31252479377392,
    0.400703559229753, 0.400703559229753, 0.400703559229753, 0.400703559229753,
    0.400703559229753, 0.446082383817402, 0.446082383817402, 0.438585203051983,
    0.438585203051983, 0.438585203051983, 0.438585203051983, 0.438585203051983,
    0.474469442484089, 0.474469442484089, 0.474469442484089, 0.474469442484089,
    0.519319789291425, 0.507947818684068, 0.507947818684068, 0.507947818684068,
    0.465996776339301, 0.45187566589831, 0.266964902260947, 0.289953544084694,
    0.271125392966771, 0.266283873778783, 0.238863341203654, 0.253357475652731,
    0.253357475652731, 0.261940480432344, 0.261940480432344, 0.254283262056527,
    0.254283262056527, 0.254283262056527, 0.277246408980599, 0.285200208750878,
    0.281736237285592, 0.294452124442006, 0.294452124442006, 0.290761218911073,
    0.284811129889281, 0.260632413449621, 0.260632413449621, 0.260632413449621,
    0.260632413449621, 0.2567854415289, 0.252744023269084, 0.261940472253059,
    0.287953872501496, 0.278727039414357, 0.22716708406631, 0.22716708406631,
    0.22716708406631, 0.22716708406631, 0.22716708406631, 0.22716708406631,
    0.22716708406631, 0.22716708406631, 0.227662544105742, 0.227662544105742,
    0.227662544105742, 0.281356546047983, 0.294037400683254, 0.289551396998038,
    0.289551396998038, 0.277615099075229, 0.277615099075229, 0.277615099075229,
    0.284036138642659, 0.284036138642659, 0.283650217679339, 0.259659898664452,
    0.175139727905871, 0.182010957272228, 0.182010957272228, 0.175139735219104,
    0.175139735219104, 0.175139735219104, 0.175139735219104, 0.179816160091148,
    0.179816160091148, 0.179816160091148, 0.196209171136214, 0.196209171136214,
    0.197695603830511, 0.199394993675349, 0.200930277121406, 0.200930277121406,
    0.200930277121406, 0.161834544428938, 0.161834544428938, 0.181694135155174,
    0.181694135155174, 0.18458582025518, 0.18458582025518, 0.18458582025518,
    0.188077980339563, 0.193840823805385, 0.170979978641893, 0.13627060542479,
    0.13627060542479, 0.13627060542479, 0.119774278971443, 0.119774278971443,
    0.119774278971443, 0.119774278971443, 0.119774278971443, 0.11922704884874,
    0.11922704884874, 0.11922704884874, 0.11922704884874, 0.11922704884874,
    0.11922704884874, 0.123823584079272, 0.124860383225125, 0.128156262799134,
    0.135915724230133, 0.135915724230133, 0.135915724230133, 0.139736648159011,
    0.139736648159011, 0.144976772042347 };

  double dv5[8];
  int i0;
  double d0;
  int i1;
  static const double a[4400] = { 0.14555827069821509, -0.18429158926635322,
    0.1743801661504969, 0.27856836345104724, -0.25955360428021668,
    0.13622478213316422, -0.057935444941276011, -0.41968855442995007,
    0.10755322569315172, -0.13667844042969915, 0.13195438949807439,
    0.26142830267619183, -0.12232748957264795, -0.026412136158388624,
    -0.17912017852902432, -0.16878522974764734, 0.033447423707113413,
    -0.21280640073621512, 0.267538945407759, 0.20860281172140477,
    -0.01783646724426146, 0.07088442820082598, -0.096085792210639412,
    -0.22094930854155453, 0.070393737748072546, -0.2275901753760301,
    0.2560967499895071, 0.23735437742277221, -0.12903827570613241,
    -0.049407670296209676, -0.08459379072204877, -0.23302067132971802,
    0.082584006364557427, -0.17596538072312393, 0.22442280197144304,
    0.24333905664210873, -0.068568665260682782, -0.078951387051945626,
    -0.1850070256230601, -0.13814216040926214, -0.015293671301262416,
    -0.053884481916060635, 0.17898441637376708, 0.25041566726620845,
    -0.017250993435568646, -0.015284109451111806, 0.01659762084716486,
    -0.069482469547762354, 0.10920646022433703, -0.056010010124720185,
    0.23106424467441827, 0.142905579439587, -0.11337320192995859,
    -0.021041721581518485, 0.086221131683884442, -0.14147421013269743,
    0.0023009439938977572, -0.031060189716424741, 0.10394028156384659,
    0.12773700851647296, -0.11894953371270413, -0.067945558091494912,
    -0.057387602460111022, -0.10362793603891539, -0.058795667248377176,
    -0.12190466242452225, 0.10952938148053123, 0.036778088947237719,
    -0.085971209500497164, -0.030593735433651362, -0.11618760374221049,
    -0.0047259001390046081, 0.028496302519481424, -0.036456906457669469,
    0.22941249359550386, 0.18859025758360887, -0.09368537065477904,
    -0.14887082974310761, 0.00025058869361776624, -0.022086999046602225,
    0.086863463108962147, -0.072485568179219681, 0.081265562591562215,
    0.05318632190892459, -0.11611583712446856, -0.13860709142917355,
    -0.038669034318928007, -0.031156393922836936, -0.027078409740250536,
    0.0495663433116319, 0.14973869875660686, -0.01938525139322337,
    0.017235604919887779, 0.016098952481100531, 0.011666375605247166,
    0.00054384302379273212, 0.10779743125496975, -0.11248490444408163,
    0.10808712361044857, 0.0093126763682652627, 0.026053149011949422,
    -0.05816199450450063, -0.11120326555143761, -0.010015397109086686,
    -0.082645891396411542, 0.076941452989475675, 0.049615693066945805,
    -0.014296133457128107, 0.040141055237504386, -0.19976733631458787,
    -0.041027414495452774, -0.1452437618858369, 0.096775805625649983,
    0.026397967656471562, 0.12277544173695776, 0.044903146151722861,
    -0.032551888425431413, -0.20115934205709246, 0.043993389881573711,
    -0.25254704070271766, -0.11135773211406141, 0.10013637731261026,
    0.037445708830589175, 0.10174246439641398, 0.032747837236472739,
    -0.21494662311361179, 0.0021330510190840373, -0.0719881161588657,
    0.058166907200868548, -0.038294369556768515, 0.008854622119706123,
    -0.047350727538470284, 0.11932575983144336, -0.065042450240408944,
    0.099177836753277765, -0.35858046013681122, 0.051669825678604113,
    -0.090785743289363008, -0.036744180144639461, -0.047020014305341785,
    0.13006904290890722, -0.025473928552630084, 0.0030754381852134542,
    -0.092840602653300144, 0.051605628230452956, -0.066249433527840448,
    0.053939108861707344, -0.0374455441055627, 0.17602484790008091,
    0.032704191371663749, -0.0847758171041249, 0.017272516988127283,
    0.024899566853294423, 0.058831790995603955, 0.07908920908638592,
    -0.0464370116463808, 0.010812096569573814, -0.040284785598879505,
    -0.029054646025919291, -0.11535066821522802, -0.073796574052772582,
    -0.14080606752879049, 0.091156377516798073, 0.061234018052838637,
    0.12650609870746654, -0.14354620383153988, 0.025581264490867346,
    -0.020534346563637104, 0.083754190513472035, 0.032463608142883793,
    -0.021657194957629994, -0.13086380602659808, 0.12767536571385243,
    -0.092535608180152287, 0.029021899499267149, -0.016784969655504162,
    -0.042144210760004436, -0.14019468286707215, 0.020483681910091513,
    -0.13562675478712694, 0.0338291135160141, -0.16112566920256671,
    -0.028065945926215967, -0.16066671502934762, 0.0051295488867229184,
    -0.12836214350055061, 0.063655555481715864, 0.022403010692810321,
    0.049159357726062378, -0.0004560815297056158, 0.11551625529749213,
    -0.11724428691272294, -0.084196108587246563, -0.070022108578450426,
    0.14402689643333796, 5.1269666688847412E-5, 0.042350499489866189,
    -0.02302638768316773, 0.015219642369057611, -0.16539881948572757,
    -0.12376206152662614, 0.045573670998117467, -0.094495893243414578,
    -0.030574329537306388, 0.042474302845305935, -0.078298133398909453,
    -0.016520597362029127, -0.11532618870807451, -0.011760055505884453,
    -0.010983310668076575, -0.039208377178820079, -0.12702060235048282,
    -0.045994875732833708, -0.11167841176566236, 0.10221275187949844,
    -0.011001573391686476, -0.021067424079135411, -0.19756645191993388,
    0.015532115822094773, 0.039908646196372431, 0.046829466768560833,
    -0.050583395826058135, 0.11209060964839865, -0.31705732760691946,
    -0.031854561424091717, -0.36660888880029513, 0.14812926928627232,
    -0.013186957007419042, -0.043549133577521916, 0.16816298778179434,
    -0.12271733307664785, -0.51228263615161718, -0.14990819592327714,
    -0.20300740381181162, 0.15204722054133119, -0.21220984680084537,
    -0.0081356473673839, 0.075364967708038078, -0.1239039111090325,
    -0.27124592341760678, -0.16110647651307303, -0.14490978174791538,
    -0.01603453677881838, -0.065219485539935118, 0.076200251103872352,
    0.061184607223487633, 0.0086888447872061746, -0.0024926410251840661,
    -0.064130354020842537, -0.054306704633330559, -0.054199953782823669,
    -0.035285402175738625, 0.098860827670224444, 0.057677506394658289,
    0.016785658838022053, 0.010270734518540992, -0.05065759012313005,
    -0.18127258776470936, -0.028167161056228247, -0.070859585583112464,
    0.058548175226909825, 0.092975791551745013, -0.11442468883865507,
    -0.02376809333218597, -0.028329817164149021, -0.14949184275538061,
    0.020280614015394674, -0.0351606245304183, -0.091992762613363643,
    0.0847843529421703, -0.16138273534449304, -0.011058886656053873,
    -0.03554609518503167, 0.044173753762249982, 0.083049936796733725,
    -0.079318258556477325, 0.020985769746776697, 0.1683392991474105,
    -0.01608998366285147, -0.048086562743050419, -0.023338502685602756,
    -0.14003331977776592, 0.1375922389030953, 0.014113026606916552,
    -0.047855115818731545, 0.04114697978449755, -0.084109076965750817,
    -0.088362773494047059, -0.082234367594079677, -0.11754098697182855,
    0.061874695383184873, -0.020371050488253089, -0.0391880328470893,
    0.11842223832334797, -0.0248513193240421, -0.13522949829692044,
    0.037494225002640595, -0.17983911991755366, 0.007694726058213597,
    0.085139144334653458, 0.03970188474337237, 0.14360252967883508,
    -0.090627729653146638, -0.17681987217548362, 0.058009110723536345,
    -0.23421127388413654, 0.15922601474549519, 0.013822251189306073,
    0.018505764372047897, 0.1258440909057503, -0.096974390687083828,
    -0.063688215450414351, 0.11709177035685517, -0.048750682697700783,
    -0.016521761404521159, 0.15582754114336014, 0.037128334851740663,
    0.13335592701053164, -0.049442287327377168, 0.0063201022691338673,
    0.17467813580782021, -0.11703299454975437, 0.053819707837831708,
    0.1602179285881131, 0.076922635497546563, 0.13067115970070889,
    -0.0897747887840265, 0.030341007099849323, 0.18269101510974398,
    0.098664850515802607, 0.1737814480089471, 0.15500952477774019,
    0.0019829614629584351, 0.067552307731120365, -0.14298361649329808,
    -0.14186210235613692, -0.015091395607353165, -0.092238599218769354,
    0.19532907334718444, 0.10545934326984195, -0.095025137928723788,
    0.16974852108441996, -0.19669751102089372, -0.26770234105318785,
    0.19179714099912257, -0.10175704717857907, 0.16686569554319197,
    0.11958513258411396, 0.038569185454490423, -0.041206660085876493,
    -0.22437606144375646, -0.23003371966972175, 0.040140871128092448,
    0.11862168779465294, 0.17397539418860344, 0.20567221506042579,
    0.0097978727722347128, 0.0047807770702681307, -0.14760975917418734,
    -0.091005960938331978, 0.18148675620189927, -0.096839340173632132,
    0.19774375123101834, 0.25731143919937827, -0.031367629636285949,
    0.040976557059188061, -0.1762677224807202, -0.098874998068735426,
    0.17450615776112061, -0.0078443558993529089, 0.10574515482808988,
    0.11017402987843045, 0.15102599712787398, 0.0832564842251318,
    -0.18907918772802462, -0.051336771634045444, 0.15643587552480795,
    -0.01806519763279707, 0.15765321437135044, 0.2123695299032872,
    0.0029966098686290197, 0.063863143215767332, -0.21256530097891818,
    0.031383452753757472, 0.08690464650028798, -0.046573882773551727,
    0.21089546051536348, 0.15054934790356223, 0.030102799375857532,
    -0.0070889066758372567, -0.14133179129580151, -0.18546729133767087,
    -0.049184468382091506, -0.04365564164520578, 0.12661943207329271,
    0.27959178769700738, 0.11537037711923506, -0.0048671261289126135,
    -0.063280838424309288, -0.10972179694636186, 0.028715990320696026,
    -0.047489828645887487, 0.15874073091815014, 0.2216230877513089,
    0.052925845244175908, 0.020389376862030888, -0.16535423927185303,
    0.17436050653342844, -0.010651286978181927, -0.084559002695383148,
    0.20676891242634687, 0.086153537886674861, 0.11377392387826107,
    -0.06106504421322597, -0.074180282898975242, -0.078641647272607418,
    0.10032010757016808, -0.078995381485220922, 0.054145658503533971,
    0.0791010037711977, -0.00763167507603621, -0.06161448655329848,
    0.042619890150900064, -0.1212537517751289, 0.063092893142693271,
    0.011818299077622187, 0.058404302319394072, 0.031181839427397225,
    2.2536446455278111E-5, -0.0049268602762999889, -0.051852927364981378,
    -0.011545710167885749, 0.022633061025671881, -0.026492516644799135,
    0.16021291476174526, 0.15399435711782677, -0.040868127939050591,
    -0.020105866523014968, -0.18509649560264754, -0.18142097823897183,
    0.014752011176569017, -0.23446681034008771, 0.16606956269970108,
    0.23549725842121955, -0.09828641677242414, 0.13231964005775343,
    -0.15922013998051912, -0.26466381501390213, 0.1698726825269182,
    -0.025908136540477127, 0.0838114294984413, 0.21109212069409725,
    -0.0787342388981943, -0.011558878445812928, -0.19377655083024317,
    -0.19524948270428871, 0.12623680019706732, -0.13706481206207127,
    0.16800924834641909, 0.26890453095262995, -0.17512175243032482,
    -0.030529747100346463, -0.10633381980551819, -0.16257158900572458,
    0.10759487339636031, -0.013156045115834156, 0.026432368947259251,
    0.12349685999928466, -0.1757866425755393, 0.021586182800429853,
    -0.019057935846055661, -0.20468490389337121, 0.0023581297015664005,
    -0.022157523616444876, 0.024234539329560781, 0.12217837981775419,
    -0.19493810475855208, 0.003502159042621225, -0.060224920165200958,
    -0.34873845072303239, -0.0002420902195316584, -0.048954808120299627,
    0.008078958452954043, 0.2640357337760903, -0.14564270980887759,
    0.035170467939737354, -0.043080254867297732, -0.3161012883080252,
    0.12404298636372857, -0.020472865458077263, 0.03078736076391677,
    0.13746878057209133, -0.10070926571323219, -0.089993670400854375,
    0.060027453000803352, -0.1496963623970399, 0.17327226051675071,
    0.059502221025465075, 0.14194146248295866, 0.2199543064639167,
    -0.19700063347082278, -0.1167326177126688, -0.018770329658756389,
    -0.25851188717946094, 0.078074529849766844, -0.072879750266745827,
    0.050297455819366989, 0.22384868313898704, 0.002884593272985389,
    -0.040606533937051034, 0.047155592518391486, 0.0022640478665500218,
    0.17004918597614166, 0.04999724848553419, 0.074378943194188349,
    0.16620118843750231, -0.12907238735182708, 0.050321514309945942,
    0.034319545996833012, -0.020253845638025396, 0.082994857766226615,
    0.018088924239337514, 0.090602364143423736, 0.051810136068986566,
    -0.19848815147508636, 0.10199896362592849, 0.07720313806606259,
    -0.30498114047510128, 0.1231532604779587, 0.021819102197597667,
    0.071571314910987532, 0.13199910218821195, -0.11991860607647303,
    0.059750521553873726, 0.0628498410840756, -0.15726819427763222,
    0.12337816917945195, -0.086116561678708639, 0.074540607926215877,
    0.0665088131959006, -0.23248024352999569, 0.062049430926440267,
    0.072884596322848008, -0.2844378123086137, -0.047073859775536069,
    -0.23739185134148746, 0.16212625079200615, 0.023618345960776652,
    -0.13130684925402378, -0.046757160503313078, -0.043687190982959895,
    -0.23493871835180077, 0.14048959343685416, -0.1079623790873151,
    0.20721163611191465, 0.084842545036932268, -0.21772578142006008,
    0.00784818160017258, 0.074479970351541122, -0.49503719248650879,
    -0.0905568472247929, -0.16460606530303221, 0.18746425488048934,
    0.22242603265394195, -0.23890914423508619, 0.013614203917414379,
    0.039245914947220906, -0.57824182494721788, 0.03580084904366003,
    -0.076425653057070081, 0.06771720459919614, 0.18953120529460524,
    -0.078549240698503872, -0.0016884491963377792, -0.12956330642532185,
    -0.55415352104931392, 0.10669918766392752, -0.22086687230131252,
    0.23623301584165843, 0.15288405462110891, -0.086700297176651259,
    0.16409919058666089, -0.022058994344874638, -0.573927983325749,
    0.14068303311277097, -0.15188065223841238, 0.21734215474890861,
    0.12645484243874069, -0.15732102108788604, -0.092130517516838956,
    0.08208847302273381, -0.53040541599911661, 0.053921399786033691,
    -0.14441086344101831, 0.11664011642104385, 0.081112461859786045,
    -0.18075583117677255, 0.1214996824711482, -0.014980555968417214,
    -0.43517520846957891, 0.12328765225263853, -0.083561214811540677,
    0.26532507497460306, 0.2266091541914898, -0.25491560495338694,
    -0.013861483502785474, -0.047337433459891519, -0.536103255265237,
    0.057136132472456379, -0.033014379239801279, 0.16612626842954897,
    0.015264179485261278, -0.24697758492158506, 0.014954935432651703,
    0.042064336360072167, -0.51718185643230141, 0.049218413625499821,
    0.047261258014780115, 0.22062656961474389, -0.0035749784028869568,
    -0.16672547943348823, -0.083089412695555059, -0.09473497867810407,
    -0.17228986437767818, 0.12571876430466652, 0.036675127660744322,
    0.20384410654170296, 0.035452093165926277, -0.22205535693796571,
    -0.097135451105302029, 0.046992082210984089, -0.24397502321860362,
    0.011405228061696221, -0.040698144389914356, 0.17732815600397656,
    0.13098999432018232, -0.23869119264622873, -0.10511713525344474,
    -0.017420184124044655, -0.43838303500923981, -0.018319313824935502,
    -0.15341939394021756, 0.041089186156818024, 0.15133605179898174,
    -0.23297457210929698, -0.11518780085158815, -0.12525172107279775,
    -0.49753921516287691, 0.030451718992721942, -0.092444316168380836,
    0.196889553445868, 0.054977027901723249, -0.22240175840123427,
    0.028323443870930883, -0.0484103669058223, -0.48442720157231045,
    -0.047341603229386249, -0.16130377379523433, 0.037164053233794979,
    0.0013118877218221926, -0.24247966530466153, -0.054107936651321714,
    0.0661314940854096, -0.26419818760619335, -0.05898923016555694,
    -0.0868954926055632, 0.0790321262617388, -0.014112922419281332,
    -0.10460870956586671, -0.15855214453630811, -0.057147617985388074,
    -0.18365053183086705, 0.093021703961832986, -0.0329003858393897,
    0.088106945251827468, 0.05548290855935923, -0.17731239396266135,
    -0.0926921171430077, 0.076245968446728332, 0.085484443113977016,
    0.058546487384467744, 0.051195229849174233, 0.00996568487530778,
    -0.0036612489307969519, -0.20668714904523372, -0.13789566447863194,
    -0.016284857306413027, -0.1196485346000027, 0.047263789247153444,
    0.16257137384152803, -0.019844315169471965, 0.04573997964532453,
    -0.11460310486551255, -0.070033751910271988, 0.047537737482268014,
    -0.0585142588957226, 0.13932504018417963, 0.085957356788500167,
    0.15778837660752915, -0.010828787095184826, -0.23347707952451896,
    -0.072745220146486433, -0.042167836153003464, 0.0358546555361121,
    -0.02562839101023897, 0.092409256610276935, 0.18254392358531724,
    0.19559512148153219, -0.22169880665390673, -0.1302682370868824,
    0.033565872327218048, -0.049822741500968049, -0.035823483811823854,
    0.03774192660553282, 0.11175365881589761, 0.093097381048736952,
    -0.33266543617075467, -0.23566373210173441, 0.00599714592620486,
    -0.11921725705606065, 0.044926227278431714, 0.10615462112196798,
    0.1063288749144347, 0.054245738108537812, -0.31428359973769748,
    -0.090955266932106732, 0.016137134431928279, -0.20186341920992582,
    -0.05662707606966666, -0.11142102076721148, 0.06488824370185349,
    -0.018637626681053242, -0.31272923660996815, 0.012993445076833142,
    0.081803182500661056, -0.24059042814169995, -0.011015544654364967,
    -0.09372053503489633, 0.10780118266900353, -0.037380623547873089,
    -0.22242637340051585, -0.094278325845492214, -0.001879712535887517,
    -0.30869842256877589, -0.081461889602529564, -0.03901645871582813,
    0.14225836752784268, 0.054554961671133974, -0.29731034539567713,
    -0.16277361048353498, 0.16849751317538655, -0.36155706957555533,
    -0.026572942764531923, 0.01642948913820011, 0.031212138092538561,
    0.0676372394225302, -0.18314403761699868, -0.015996669025729257,
    -0.0049119610008595089, -0.41801444593674986, -0.10793720772557336,
    -0.10135795109881966, 0.1304280620273976, 0.017327321888434371,
    -0.31713999198379145, 0.033173290155670804, 0.073641986833079459,
    -0.50296832430431793, 0.13000635623561443, -0.12339311659483887,
    0.16814954473819693, 0.069367005804752135, -0.30744425519360186,
    -0.1501317565985929, -0.080931944927693372, -0.47155036670137912,
    -0.0059046052606176128, -0.02242826450250163, 0.0093780338249771812,
    0.012425574667609, -0.40692975566252909, -0.20938151137232486,
    -0.037439292082423838, -0.4186334407666909, 0.0732124784819172,
    -0.093912712628163475, 0.028669212686451478, 0.12370274711204406,
    -0.352071650118254, -0.064599041799594775, 0.055409220558835577,
    -0.26584746686200156, 0.10689269238742334, 0.032190699865841374,
    0.13086654975473019, 0.13665168875903383, -0.39132025079005439,
    -0.13357863363934933, -0.056434558119602636, -0.4109890794864432,
    0.028178005476551783, -0.013086748795727746, 0.064663063123602024,
    -0.13128325324235202, -0.11909108160601271, -0.00482791452641155,
    0.016505230857284229, -0.045356326934131823, -0.090934710194166629,
    0.07467761800081861, 0.016645084182925686, -0.12319778953926218,
    -0.078200090616099616, 0.052587250685401168, 0.010069106962152109,
    -0.15754975148448686, 0.0085080557833235749, 0.015778924552057785,
    0.061832388388710892, -0.100947351977337, 0.06266225612010734,
    0.1282426534796208, -0.025179410072958118, -0.065068933746910113,
    -0.085664001265341141, -0.14359337637205008, -0.17589949359148349,
    -0.13649952952848246, 0.1397870345444544, 0.1440720610909241,
    0.074332678158523971, -0.0976866572424809, -0.094072301467396369,
    -0.076832046981495233, -0.059473417142017274, -0.1056391552363093,
    0.0087511560336603084, 0.13525455375671394, 0.10475693614793635,
    -0.30751978095828825, -0.1010462538160241, -0.12022211480445692,
    -0.00932731935088547, -0.028451562397692559, 0.020224702658909053,
    0.050677236678561305, 0.019568203337900016, -0.19699552340222867,
    0.0071389660228283434, 0.17978160585520203, -0.11854225861947602,
    -0.12464525758365269, -0.018500979564014752, 0.055507524010085921,
    0.10328188134933133, 0.070272941375024184, 0.026015002832578675,
    0.095807382821148868, -0.14343683690429149, 0.028714579836315247,
    0.061045660856510885, 0.0532122764573736, 0.084798994879670214,
    0.040873055450973188, 0.030715046463279726, -0.034396354745493567,
    -0.0670266213235402, -0.08552796405715829, 0.14932002982045242,
    -0.032780545837041875, -0.14867688964302442, 0.22687283597898497,
    -0.006881951901014407, -0.044292790701476369, 0.013306350335826981,
    -0.047521131998929933, 0.023730574068659797, -0.077506054316418674,
    -0.0944120978668736, 0.13834369115693659, -0.11204554891365406,
    -0.023254716414854531, -0.023237404401104975, -0.081739928131050535,
    0.00592453665917492, 0.020584308761211, 0.0021408787108956944,
    0.036311864588357029, -0.01015004068300443, -0.0090661082086884656,
    0.061687106785198315, 0.048525769984253904, 0.099856350488506815,
    -0.055846299106092512, -0.0910384618370959, 0.12508459756263415,
    0.087387440716900425, -0.031331203446368104, -0.00210797323987568,
    0.05592605074358438, 0.11266747518152734, -0.031770252672208163,
    -0.04747295381351084, 0.044706195366003419, 0.011411855734598329,
    -0.012578009660555016, -0.03332857355029941, -0.012444583399019465,
    0.056306643535505373, -0.022529619697553523, -0.0025367562654379592,
    -0.13822443654792385, 0.056666976336135558, 0.033036486731215661,
    0.022871005702157769, 0.0087506694349840618, -0.049139857723725713,
    0.091277741890547964, -0.098950098296198538, -0.11377521183238543,
    0.06626406562437881, -0.018138738822871033, 0.045819413951886157,
    0.04849797245770282, 0.039657595269389244, 0.14960058396380771,
    -0.0923756784705492, -0.087114717713987877, 0.13712524722186023,
    0.054160546348355418, -0.051678827294198836, 0.18769047514836595,
    0.02080805510719614, 0.049019142461561742, -0.12125575260038055,
    0.063363867060853535, -0.0050802857634955232, 0.011534872948264571,
    0.000595040391118124, 0.071985022182099026, 0.20090705198725106,
    0.040964223868611871, -0.020948705420534897, 0.17593189691603067,
    -0.004246310675228771, -0.0819333213273461, -0.11311497463661795,
    0.1151346042174574, 0.070625678537260858, 0.13370182596182911,
    -0.083696885836791343, 0.14485273222771058, 0.065243593592273219,
    -0.018175369253568815, -0.18647073868781594, 0.045130781765961178,
    0.31177169510758451, 0.2004634820321772, -0.075411143506912082,
    0.28809041396863605, 0.11465429837024296, -0.14132867871110116,
    -0.1344494097886062, -0.022194239677332039, 0.19625976248528568,
    0.121564672970407, -0.19849228739370686, 0.049121524776083267,
    0.087178272900428636, -0.055127068133979114, -0.005401591069411322,
    -0.016338010143030646, 0.15682417617601258, 0.046680762023393579,
    -0.12718618385129674, 0.037003450198217318, 0.084341856019915729,
    -0.11252604009308108, 0.15770413792818022, 0.055753106708263424,
    0.06184955324223481, -0.0067235040996036517, -0.15379610329254681,
    0.090714511609608792, 0.11936694853259618, -0.12201461804609859,
    0.023220360343505393, -0.070008206408980672, -0.041524051055182046,
    -0.00042483563444224731, -0.069612192790354577, -0.062584520895430956,
    0.12265958498644643, 0.042479015211539475, 0.17197693999650884,
    0.048281579798860941, -0.025652463458052163, -0.07056781257236,
    -0.1069839509160929, 0.0055329611094431536, 0.057773057265718457,
    0.11979792880502081, 0.0238821527484421, 0.021973029635654232,
    -0.11864408644315139, -0.16124864674253542, -0.0367013049063747,
    0.099166178138682268, -0.095356037994037274, -0.043242227509902,
    0.021202737712872094, -0.038505081868347495, -0.023626312365315635,
    0.030554836225937063, -0.15887794322072865, -0.13818390481249435,
    0.051074939133916405, -0.096667544822222645, 0.078925297548268963,
    -0.20108765830734684, -0.060677664430706477, -0.035986723301807182,
    -0.033372088171392811, -0.15117237144349457, 0.021138929573437257,
    0.031166705294408781, 0.08455012185771664, -0.062912668680441486,
    0.060301355973662013, 0.0252026844726318, -0.056665714590550163,
    0.079430902566193812, 0.00542889769724036, 0.10165052047941539,
    -0.014468772796766772, -0.12329651646384818, -0.011316995738660591,
    -0.012644294347825897, 0.10908013984974503, 0.039941462222790339,
    0.013169433567776516, -0.28701644462511183, 0.10381419541767788,
    0.098443279557807656, 0.12719682049054531, 0.23051959622529644,
    -0.070408658712715871, -0.20656860581952069, -0.10464921101186113,
    -0.13257194370036415, 0.090551501433845716, 0.19169017202156002,
    0.072709135422329055, 0.0783922786702096, -0.13325710170558389,
    0.02571391329248544, 0.14537771594158988, 0.09368547892632284,
    0.0850020354570495, 0.18146456375286371, 0.0085034738194266924,
    -0.013628834778102863, 0.046100689449211169, 0.1623191351262854,
    -0.01961920486183745, -0.08860344623488707, -0.040884104237760989,
    0.091886531593685511, 0.014390769007896098, -0.052765602334289632,
    0.017077539855239431, 0.15070303222551118, -0.07321889908625677,
    -0.12048315581375613, 0.017621426013303437, 0.0099879704381654142,
    0.052360471914975108, 0.13288341797755551, -0.098324045682639971,
    -0.17904847651012051, 0.092828134096034534, 0.060695542324613362,
    0.042239796544495146, -0.036105353823508907, -0.051416376683113843,
    -0.17062711153041366, -0.060005668622714572, 0.066927444073667422,
    0.086518647195538312, 0.089013798374234371, 0.0026062787651319414,
    -0.11193346335883343, 0.073697138427522416, 0.049705747588448604,
    0.10351460281145526, -0.054538193392726246, 0.11715128571049575,
    0.29582249763508311, -0.0412598145302381, -0.049440950232567442,
    -0.028741427310016148, -0.10966730395805119, 0.047863737275822341,
    0.38670328643321178, -0.060946206284874814, 0.016151386298450345,
    0.089955663487594081, 0.12568416192548149, -0.099369670443368974,
    -0.11933863393610741, -0.022795981356030282, 0.16920490388377141,
    -0.044105601392229458, -0.19389961258944752, 0.0660504697897712,
    -0.047159043211644942, -0.0703601408373251, -0.11580998480513253,
    0.065203309319436867, -0.036579073821767207, 0.1144732923709247,
    0.11188221865503732, -0.039498569041139533, 0.071366668125838029,
    -0.13025142880687238, -0.14097594625746523, -0.035930360383834091,
    0.23174195409908305, -0.084312496373743287, -0.18701891300235829,
    0.12499701984653964, -0.044748608097869166, -0.1705481948967385,
    0.001695394931247591, -0.058991300518505492, -0.2444610594158082,
    -0.04919588582529838, -0.089015937357990058, 0.098540956722979037,
    -0.049764181537487746, 0.059792231980479685, -0.1154106476702909,
    0.0042801624413087366, -0.15543188616676959, 0.028378844770198069,
    -0.068248855540741032, 0.22471031263224553, 0.10346946362608785,
    -0.063995260974322676, 0.035859425284255605, -0.0792653192728259,
    -0.10251209984540487, 0.053626672703015514, 0.012114974947756567,
    0.15871123062212891, 0.16690035340896445, -0.097791456420638675,
    0.0660218149666534, -0.071860939540818042, 0.10451312700481702,
    -0.0039398619942101485, -0.22678607281192681, 0.019543744221514597,
    -0.027291594854313019, -0.073305293310640354, 0.10538111170214187,
    0.085180307099117336, -0.3221841430690271, -0.056123166898563684,
    -0.15695185861714556, 0.050125275872052934, 0.011876454754418703,
    0.085410940997511245, 0.075633542534871062, 0.034038534839251629,
    -0.0020377278795356982, 0.042468135167238637, -0.098078687768329759,
    0.036432809830615913, -0.0005250249921250063, 0.11611069049790178,
    0.12875564447617668, -0.068070915200573054, 0.13839639661062925,
    -0.022786520755731753, 0.0084568258764714434, 0.11543624966210395,
    0.09824723188926518, 0.12446965638885157, 0.077201193736180174,
    0.024662261203830881, 0.17524961424554072, 0.18156699018518074,
    0.1136468634460909, 0.054484209174070111, -0.013239775335372522,
    -0.02306487195559798, -0.0047874356236155494, -0.02789707741517396,
    0.39495700598841721, 0.053584924850752766, 0.16098851629734617,
    0.084544765745301217, 0.30656612377122033, -0.15057018386075402,
    0.13822858998494122, 0.035237290797879711, -0.035555748422862889,
    -0.048924233949928717, -0.008885783515343075, 0.1352669050943017,
    0.27479885089304118, 0.058235284939338619, 0.022072990555815904,
    0.088107422525573714, -0.18541443167955005, -0.063661055174246473,
    0.10940569306081929, 0.04181520342907577, 0.33382747573766031,
    0.0063896194454126495, 0.0048515281859820587, 0.086977669909936522,
    -0.049538104545884115, -0.091946950959866644, 0.17959224949177344,
    0.15827516291115343, 0.26070053217244293, -0.0961270907141479,
    0.053834657115177369, 0.077778383005741969, -0.21449956899899383,
    -0.080239305971309072, 0.036349890492556193, 0.18163424788467272,
    0.3704627314904787, 0.033989493158972539, 0.191264067824095,
    -0.042231523331551217, -0.045555126244092567, -0.10387192994180652,
    0.055211085200173989, 0.15992003449474348, 0.23914805108919948,
    -0.074488448490792017, 0.24677149720768174, -0.050743733658459668,
    -0.24709637053855904, -0.039588800700094226, 0.023447087053258358,
    0.0999687220116594, 0.36010760581273471, -0.0026044960987172071,
    0.18016893803849052, -0.10083768450583643, -0.33237505802574857,
    0.0072398710043240777, -0.094174412992423434, 0.17627507830689382,
    0.19716452918473829, 0.038746801528251822, 0.072074146956414911,
    -0.0365160734014145, -0.1950436121049936, 0.055539160345749294,
    0.02542342853889832, 0.18820190004908482, 0.27099055189453891,
    0.050822890339792016, 0.1840281179409306, -0.06101853142696724,
    -0.30156954599137337, -0.019480876290071582, 0.11783579837893471,
    0.16205003465668211, 0.13308336173734192, 0.031264202976035056,
    0.19835026563013139, 0.003992684958690304, -0.0011998985396973524,
    -0.10365261119773021, 0.11558336514184317, 0.16282918325757306,
    0.21850351745562241, -0.13245963326966331, 0.027903444774860241,
    0.015915855182243446, 0.077902799956122593, 0.048388282789659336,
    0.1638475067180728, 0.078459764899688242, 0.04965828505627292,
    -0.001277734914675031, -0.086788841722806265, 0.14521946747437034,
    0.024051925628077061, -0.052090959272252262, 0.20923392442143474,
    0.022107188106846334, 0.14418557421087089, -0.0082986098033094643,
    0.028928132909910878, 0.19041744825110257, 0.11124280380878146,
    -0.0396511089738785, 0.21106158137914832, -0.037665809385512929,
    -0.0696600404286352, -0.09486919407950814, -0.055263381445636577,
    0.17564750853255037, 0.055022903566984228, 0.003293934899811406,
    -0.033635271671491794, -0.031741075158335387, 0.0030651440401654843,
    -0.076215607256902421, -0.099756223938450392, 0.063151552836526847,
    0.018951225761028572, -0.10162311127634814, 0.10463163938586298,
    0.042658724000360408, -0.13082643440567074, -0.099539757782569585,
    -0.060199420668045865, -0.018483229034253985, 0.065093847432784846,
    -0.033156167719953243, 0.17106646478780493, -0.063087505378845277,
    -0.11708608061028739, -0.10227404076826145, -0.00445611916215765,
    0.023484865146515311, 0.13469341664855428, -0.037534771317682174,
    -0.037045992014839636, 0.024203470028380327, 0.001553055885119832,
    -0.026086661919567863, -0.11055183765956605, 0.11379939013008156,
    0.086664833319953088, 0.027599799184731079, 0.061199664311438452,
    -0.10871592702127451, 0.08480825617315027, -0.036785287276625556,
    0.018551642251569883, 0.024120326061660747, 0.23937751608763977,
    -0.16222729001215813, 0.13977379456450689, -0.18507936149658569,
    -0.082066462355869549, 0.099578587431181143, -0.10408784454978443,
    0.043979630373978285, 0.19332155997657813, -0.098196660846927644,
    0.03577340430731725, -0.18203534757644205, 0.028381262066692631,
    0.13262092051771324, 0.14250519902494696, 0.15240781037890733,
    0.075250978742644428, 0.014932891157748646, 0.11990717357994155,
    -0.05111259941408796, 0.028400440969765267, 0.056406482145260256,
    0.028561391623980366, 0.17243454132222011, 0.10762759275992224,
    -0.071226852971267518, 0.13778408441861525, -0.18826306828062545,
    0.059039772244370382, 0.12284699142856337, 0.12097241053382148,
    0.076105273132685516, 0.078443820505751369, -0.13424663099836548,
    -0.046504336196904937, -0.082724172237351443, -0.017795696621668335,
    0.18774710839386091, 0.12621618617022681, 0.02251885726547494,
    -0.13561120156815035, -0.070340346078641938, 0.11526742273332913,
    -0.099348888060013893, -0.219104942722164, 0.0498696173955629,
    -0.010051925495253839, -0.037547784261356583, -0.015656880016007298,
    0.0045649820486828334, -0.053976982288087019, -0.018836283253910218,
    -0.18587868881625003, 0.055664471850069369, -0.20796265238596406,
    0.21518167937609009, 0.13824587348302469, 0.01444130181569463,
    0.00943410748961054, -0.12441502687637478, -0.16408364480971838,
    -0.072166084386577581, -0.15321301777823226, 0.060299958733503349,
    0.013185470557240477, -0.020741635555181149, -0.13318260356686873,
    0.056129431912106661, -0.10757659289164444, -0.11771285910438746,
    -0.063548821338687542, 0.063708319877914227, -0.14691653299345539,
    -0.11574812469729723, -0.15594241818401053, -0.005813744798359945,
    -0.1659653575754558, -0.10203434671240916, 0.028230119930164645,
    0.15201899066510863, -0.21038499828715809, -0.0021216346397574309,
    -0.039077393312343861, 0.074174119981733441, -0.070034983109073939,
    -0.069405848822825009, -0.2096970879452312, 0.15699585764571622,
    0.17150512991808453, -0.066146638357191312, -0.20211286066770051,
    0.046938890357232817, 0.10530676827521392, -0.20656000876174763,
    -0.019769318203162148, 0.090651882778897616, 0.026646587319279956,
    -0.13850396330573461, -0.1311497210227151, -0.063701393519390651,
    -0.051408800111517938, 0.097121449437639437, -0.038849792988282845,
    -0.079510681658429311, -0.26693113421702963, -0.02260959114334328,
    -0.08425607448312622, -0.091471059050209941, -0.097598720557511259,
    -0.02234082899480808, -0.090013120318795756, 0.017111515225270123,
    0.13394324130272733, -0.10320357285435179, -0.10241231127574453,
    -0.068721670301178914, 0.05059500723198488, 0.11626346562709966,
    -0.038288376020777837, -0.03313302787489622, 0.031464842348423894,
    -0.020810736203388781, -0.22353167949529004, 0.053580639875820082,
    -0.011057976831024824, 0.0243888335345715, 0.0694259833419357,
    0.017307975105012512, -0.10342483227343255, 0.054404158499854242,
    0.0012869153479915436, 0.015699365100687309, -0.073925843460072735,
    -0.062231878178020159, 0.0071765707999256138, 0.13698286632123963,
    0.0650364318366343, -0.11171965879369354, -0.060670171118443757,
    0.010591334355893142, -0.047854214114899429, 0.041740928793123085,
    0.0040815400027151881, -0.036568800348522459, -0.036468947263216742,
    -0.063551738483364581, -0.081944556902617635, -0.022653686757369153,
    -0.018176658627738155, 0.060444468092586461, 0.041337808372784404,
    -0.021344111587414179, 0.2189927642480235, -0.10797924153696137,
    -0.159669940552379, 0.11156569722318407, 0.055386861295965373,
    0.09673328915620949, -0.016046560950460774, 0.075458694925529091,
    -0.093760853980574543, -0.11628368237953289, -0.13516678059405751,
    -0.036690106771384644, 0.029548476059823515, 0.083444513457613778,
    0.073108411681583677, 0.0656513702250315, -0.053086431490541847,
    -0.076999432664102432, -0.013701836284453416, -0.029562186668481927,
    -0.064080253311553037, 0.019888485234354894, -0.1498299227949417,
    0.0054009136634207179, 0.022937154107159054, 0.12297551949350002,
    0.094176730771393, -0.061756818947757953, 0.13232369361639146,
    0.077120385888570439, -0.12278390875571493, 0.063501101028883039,
    0.15304568695214088, -0.03348590639222019, -0.11272497505419174,
    -0.043497289492806339, 0.19822588496442448, 0.017986407636189854,
    0.01083863182679806, 0.0079702105742252768, 0.15377601444649902,
    0.021484357101754094, 0.09532268520582815, 0.032957410597026844,
    -0.011343235715986668, -0.13392374403930415, -0.059024182919715965,
    0.10476536823495303, -0.1580143258697273, -0.0647626391069438,
    0.21570264318171734, -0.068767347328621567, 0.13031029925143514,
    -0.057273929835981841, -0.11642355119035221, 0.1044030401607572,
    0.11366953656541436, 0.056450411451701855, 0.20456498127830558,
    0.028988673956894383, 0.15384771345943024, -0.06748400125981166,
    -0.14074902306140882, 0.039853536243344784, -0.067012295550194417,
    0.087274122333877241, 0.10883307715894387, -0.014293248176138975,
    0.15332767161532271, 0.12224029868925582, 0.11952521979119146,
    -0.024034148736588972, 0.068573191084148166, 0.11651554582988449,
    0.039163801353721349, 0.0967378065205246, 0.25842749076899962,
    0.19141631877827575, 0.15100011067687821, -0.12174329084285843,
    0.078503714589414436, 0.14881727768875988, 0.0065989574770902431,
    0.18086636613478729, 0.29182435049358862, -0.057760558312174623,
    0.10305281972827071, -0.054709142129215516, -0.032107220726542214,
    0.16709949889909503, 0.070797827629191859, 0.17672455583038815,
    0.21483165190366221, 0.083469930631745792, 0.16534052125991203,
    -0.086339943235446331, 0.033709266399592305, -0.040067275911986507,
    0.034569311349779488, 0.052525971103163739, -0.081235709912491821,
    0.13896577034522187, -0.081097835681628261, 0.021626140856928478,
    0.042474487061508415, 0.084621649133449522, 0.060802151316472632,
    -0.12979872429558459, -0.079186424232403366, -0.02267078057003907,
    -0.12115380602422506, 0.12357833454694016, 0.0239120395729816,
    -0.054734015058017234, -0.019524981180196712, -0.039079703249537467,
    -0.0091972720365071491, -0.083936455230773366, -0.17878190985811787,
    0.15022762012660118, -0.19574985606411463, -0.14845346538876938,
    0.15043819969702191, 0.021168422880103902, -0.034236069204252324,
    -0.25203148343087817, -0.28784104546460348, 0.14550057987613266,
    -0.22070235290456502, -0.16021530180521479, 0.091057508554732991,
    -0.11679328735463648, 0.0010559046263582117, -0.16315163646281139,
    -0.17743257799845563, 0.21185151725028456, -0.43384155171304467,
    -0.06672928712343898, 0.15896635968652528, -0.076021457218158978,
    -0.17981480365866878, -0.19169133336782113, -0.13782500886684079,
    0.24328133600890064, -0.20668781715814138, -0.18272372242485951,
    0.14082193130297382, -0.087520300394884565, -0.21398665524366703,
    -0.16846898901799781, -0.18009670679392772, 0.25301046053361514,
    -0.22791864955587973, -0.17209641384046839, 0.0019099939750070551,
    -0.1740083296586287, -0.11427706340739228, -0.185204587592213,
    -0.088848605951385023, 0.26231720868256642, -0.44002322265269039,
    -0.029348686894622125, 0.093886978803485413, -0.12965171905790476,
    -0.2114537379493612, 0.006727829194776421, -0.074300722827643315,
    0.18510040659674315, -0.16967628108427693, -0.11014391769326934,
    0.021692985525134861, -0.092070571724817613, -0.17038047991330882,
    -0.1535913629115567, -0.24674458251817696, 0.23569231376346078,
    -0.18048240161766613, -0.11295442514807887, -0.041697388995076877,
    -0.17234198220189123, -0.28698530410594875, -0.16338118611866451,
    -0.22960118489124881, 0.11330923164675197, -0.29125201471523193,
    0.027770300354171766, 0.029303757817270459, -0.17667604816206928,
    -0.073151606184663612, -0.041158329963521569, -0.169605888729336,
    0.0689424854814516, 0.087640052069369451, -0.068824330891901264,
    -0.079338318910462655, -0.0977413720310189, -0.059634413836482505,
    -0.22192233042954765, -0.079148557442032211, 0.080810472065443673,
    -0.14817345564065354, -0.11936770066927667, 0.076149159548775283,
    -0.17307196813819148, -0.14201200045919951, -0.055629055787655923,
    -0.026904592206671012, 0.12499021759675279, 0.052836573476931145,
    0.035325116910141167, -0.084707894611388529, 0.011936358945772441,
    -0.056336591162780725, 0.0074622551515092462, -0.056250211043682392,
    0.084657838549793571, 0.0051102024999103409, 0.089699055969612251,
    -0.094874183375918658, -0.11783336910604873, -0.0934029107782011,
    0.034890051777783676, -0.021968193638726766, -0.0025640528335713481,
    -0.034804864371371064, 0.085241260325878226, -0.066219171850346592,
    0.010422066932943954, -0.0040347862186794255, 0.12056787908016231,
    -0.082872529163459538, -0.0661664740370613, 0.10333188003470249,
    0.14494641823496687, -0.063117242448513314, -0.021272092347972543,
    -0.22707373081777452, -0.12427573558637268, -0.064689311463366067,
    -0.034113180785965064, 0.048027561818699764, 0.06815868221189042,
    -0.022018213826384983, 0.10527491518216665, -0.21980316424154264,
    -0.15347462083255287, -0.013961331829882174, -0.011899257919233122,
    -0.026894181429315482, -0.030671421315061398, 0.10928476156206396,
    -0.010735533445890743, -0.19032107937611964, -0.10248508220701798,
    -0.25046798496162048, 0.040799333755426687, 0.10439475264714655,
    0.043031146631344191, 0.0010716005623689767, 0.10995647577585967,
    -0.30862527567281822, -0.18000879441024417, -0.22037648507102717,
    0.011595232318324581, 0.073590172403115023, -0.017234540109865405,
    -0.018690951310683067, 0.12783702816821374, -0.23443958833071193,
    -0.24373065494222404, -0.15050844144018163, 0.063524036443116758,
    0.00914287213166818, 0.05351062715147982, 0.016312992607314249,
    0.09709947208606827, -0.30829881790258212, -0.18147797495435392,
    -0.17214367175223341, 0.047319362317347992, 0.26369419600914923,
    0.054355556026677444, 0.01865394842750712, 0.042225910602781372,
    -0.19719997356899246, -0.041899166697944815, -0.20392848628681809,
    -0.01118615012543852, 0.013544747236965915, 0.029646485881326345,
    0.047590581662117423, 0.056566353811663389, -0.0576459774773812,
    -0.061228908106590027, 0.042614764619084582, -0.056197448573434339,
    0.23093645342810931, -0.022081608777367263, -0.0021895100440648373,
    -0.046282191224628004, -0.14107706063974138, 0.10095996608843562,
    0.03735508816988959, -0.045996248984428639, 0.036427405107894037,
    0.09900903031218225, -0.048584744419313347, -0.00670379966943107,
    0.044868302267499521, 0.021909214958148827, -0.027938177595278963,
    -0.041734760346111739, 0.0823586113395206, -0.01731646298663965,
    0.10579454701445216, 0.021720931453850838, 0.0055859719905016758,
    0.10780642358336787, -0.01561857807954431, -0.034651481900460017,
    0.11737532764533375, 0.15246707196104631, -0.037662800310491573,
    0.091368994967196623, 0.11335737364393458, -0.0010652210052701011,
    0.13953270984787078, -0.17804474241500104, 0.39220753843612921,
    0.021101276901579837, -0.14687382368043786, -0.061413502721408109,
    0.012520020593628094, 0.096817600785646177, 0.14141516392094372,
    -0.12431340160493716, -0.1259820895625231, -0.0095632165366197636,
    -0.058996388317514796, 0.033408741167334395, 0.0077137259008273574,
    0.062126849130582903, 0.031212633221035464, -0.15764687224263713,
    0.029406750285803186, 0.067843624795613983, 0.087821834553469855,
    0.00502128730182219, 0.14350580682120173, 0.05170626200474808,
    0.039489051085313746, -0.083916799613447154, 0.089947309638837666,
    0.092678330092210479, 0.0047618867481707319, -0.074271258368930129,
    0.013265173012756275, 0.0223706784444588, 0.15618792429599837,
    -0.1035955133052409, 0.11956261034319925, -0.0035837145954630625,
    -0.12344757553345702, 0.094231482310633, 0.22616824099330091,
    0.1572993774401355, 0.10544733831828997, -0.074373105089056049,
    0.018533400076345123, 0.030716599871174803, 0.11715411438604002,
    -0.041339005365013573, 0.053870147951897485, 0.041273055820870035,
    -0.0039374027701092823, 0.0069904719997865381, 0.12736442703357981,
    0.011155993233841296, 0.1432770728619755, -0.06727831182581,
    0.26767884623350441, 0.024425150110387067, 0.067722913001281929,
    0.015450911805773472, 0.15972129785330016, 0.0686139125165998,
    0.063480076466383151, 0.054931072772453071, 0.085396475719320755,
    0.13641648150717198, 0.11825658876534752, -0.1922470987057194,
    0.094943360512554892, -0.025262441490156662, -0.010044415521515941,
    -0.06990893919349786, -0.02962976814704352, 0.11387376566058685,
    0.053649024585707465, -0.071437693686658255, 0.11624096304445454,
    0.038755064254437373, 0.077992036846267029, 0.11250058126542473,
    0.058728874762627357, 0.093359588319464615, 0.068967217823362431,
    0.019974657078624149, 0.091748231679733186, -0.081456453957727742,
    0.14376466009123234, -0.077150242680294953, 0.09595473423629014,
    -0.01073851018130966, 0.08921553712928465, 0.087511652130305789,
    0.22204506028580165, -0.074327201882120081, 0.020812693878770785,
    -0.035682411248353384, 0.1492880369818404, 0.18130661075226026,
    0.16127678455940686, 0.0040497520941261082, -0.034847012523736072,
    -0.057280130223990283, 0.045069798679577611, 0.12523412261734779,
    0.019967869103263307, 0.059573834262604444, 0.049401398611487041,
    0.0024754974130135874, -0.063222471797161756, 0.035793818229729664,
    0.13083098712308486, -0.11691891615010655, -0.058158996174592158,
    -0.031282085918516132, -0.11303835610326461, -0.019611880983603759,
    0.20255451408597067, 0.011669259365258507, -0.12053765068206206,
    0.052912511006739237, -0.11628277690071688, 0.11541613109022246,
    0.028593860862892992, 0.1299734656580748, 0.023547335320225297,
    -0.01202061988789227, 0.089726459705990858, 0.04349445249095165,
    0.015056533836898577, -0.0031685622997117812, -0.10470432828041863,
    -0.011697274928833674, 0.033037001203766451, -0.028423813785573973,
    -0.050624591933871366, -0.002174160909332598, -0.14306307583477101,
    0.12907099956293031, -0.16327216902529326, 0.075858309812631308,
    0.046185714277045285, -0.074910904953532212, 0.08826096216373111,
    -0.095519431572826136, -0.076260677917041983, 0.14294653087282783,
    0.048455376055971514, -0.015795516441195635, 0.16213301565491764,
    0.094685239173183916, 0.10347567374961153, -0.17194503241306816,
    0.036926631468246839, 0.048103024394595517, 0.0039805712614292789,
    0.0070761183594510446, 0.12652695203294176, 0.011445497546871734,
    -0.091829723496751142, -0.1989986867534683, 0.10738419775426698,
    -0.0751348380553326, 0.0087201091936987586, -0.045140511386686483,
    0.10985389889444928, -0.10148501352893818, -0.03627460434541236,
    -0.0088736670303178056, 0.18096141564618734, 0.14637686139696682,
    0.099513278770573255, 0.057502707756279262, 0.13530416481224089,
    -0.11019923742588647, 0.43246864703688814, 0.098012326754881557,
    -0.29710014570182053, 0.03658510017273453, -0.28595122113126853,
    0.17022840765331532, 0.20927718188528266, -0.16868356805949447,
    0.32301000322514145, -0.047503587754305507, -0.16160434794743272,
    -0.10754332814723259, -0.14460235974223573, 0.09280178037832687,
    0.0741981977628828, -0.0747179456552783, 0.14886139477823385,
    -0.064481041006168985, -0.30176680363846381, -0.066275594105439484,
    -0.13860641851641817, 0.086706405623630023, -0.16852528304175887,
    -0.091415409385311508, 0.21759468734665713, -0.072799137058469188,
    -0.33179727716756779, -0.15422735982285535, -0.10349299517109384,
    0.10397298889128798, -0.35012832995457632, -0.18798190820589633,
    0.053848966339198466, 0.061846383198112059, -0.24139986352290183,
    -0.16692580202105717, -0.0765647081845431, 0.14097479033892929,
    -0.448874075104862, -0.039534228719890985, 0.20751324763443915,
    -0.22128098771300075, -0.32450605101819041, -0.084832745953069749,
    -0.13576318703778961, 0.21448504252173139, -0.229103390739278,
    -0.13284641315722276, 0.092578896252204015, -0.14345936637535284,
    -0.21091037118826844, -0.22573761460067351, 0.029275428612823683,
    0.1941745935726702, -0.21196700700454321, -0.016281379553701746,
    -0.050454575513340628, -0.052303762649565856, -0.11939545631428605,
    -0.10411482640559258, -0.060577694508552035, 0.0021008775587339256,
    -0.40081377459139383, -0.057588245363572189, -0.051719610219236663,
    0.081489421187727062, -0.05685290810906761, -0.13263146372791471,
    0.12758162302898596, 0.036903029897876527, -0.28767720306827049,
    -0.083433407316769889, 0.075519876063316685, -0.13234083662003665,
    0.024199925218489269, -0.11735193875239341, -0.028584047994780763,
    0.078210399610993131, -0.095277999825795087, -0.030548460852337086,
    -0.13327930996962448, -0.16544542776400639, -0.040358635492886923,
    -0.14834534638212094, 0.00783007696615223, 0.067068430343363586,
    -0.23915183926746583, 0.041548226450275907, -0.059634134151817543,
    -0.17264895806745273, -0.0062018893036603611, 0.016830932388242965,
    0.0160614194275004, -0.19791658898408834, -0.097499559787885326,
    -0.024080012530667681, 0.053520605266490724, 0.0196662464503719,
    0.019096931342339238, -0.15079636886668665, 0.010901220563891563,
    0.020898948004789881, -0.1313282063517584, 0.04375968761637964,
    -0.039689121586946374, -0.13730037562354463, -0.0535967127290105,
    -0.13465525020466154, 0.033730746796137981, 0.0055978370820575149,
    -0.14033486248250482, 0.00037940958478471559, -0.013852872842101157,
    0.040050208717123739, -0.047460832885515392, -0.16018167453005208,
    -0.17218400232947545, 0.15878971411747284, 0.051463241368230737,
    0.091257465480649, 0.021778598341992712, -0.087720985428588,
    0.024283701611312273, -0.060884731540565583, -0.060639367236790288,
    0.11573813624702139, 0.020766077907108167, 0.032855727231183088,
    -0.033088405794442867, 0.00015802250713377861, -0.030774098132201742,
    -0.11759842165503018, -0.10385691299645368, -0.003398254688841665,
    0.010288535955391934, 0.11233585043635136, -0.023714642113525537,
    0.1424466048724693, 0.10258896563348791, -0.037214102997322321,
    -0.093934205429618223, -0.079599097179014519, 0.095482717666545092,
    0.10670254090791437, 0.0928389670246112, 0.16092051775281127,
    0.001283119800743155, -0.077504098970060137, 0.02585036807091505,
    -0.1029374710128229, 0.0044089746585483465, -0.054293506288434192,
    -0.00266774123504767, 0.15853126786771465, -0.16063210749880114,
    0.025798612721783611, 0.013630044848692955, 0.085578036918766046,
    0.057204865859068775, 0.033634563197028684, 0.029632305038527755,
    0.015315403943313878, -0.03957746875014137, -0.16461072711755184,
    -0.024777183483929429, 0.0764544361555819, 0.087353374792533,
    0.10827080083140701, 0.083529279878888266, 0.12067953280226611,
    -0.046191784410952175, -0.019959049875184626, -0.024602802132272304,
    -0.038619545030674225, 0.1051463128191135, 0.018161328847678269,
    0.118865298327355, -0.065481166953906933, -0.056446171484087475,
    -0.14149370721658633, -0.1248302527933066, -0.015803482805770812,
    0.087571638683780845, 0.066404835036183774, 0.022577946250266056,
    -0.020932681068468659, -0.11010683044025787, 0.03369832841709644,
    -0.041169484675963271, -0.015648280027389824, 0.1567415309395227,
    0.00048875813722508237, -0.041443256869582071, 0.1371642027138314,
    0.067464283437640271, -0.11785005343933222, -0.087156906210748217,
    -0.0936824144786567, 0.11607426783351066, 0.010386773677240148,
    0.0714782645965304, -0.0094091558315912028, 0.083552002145577592,
    -0.037025970322448948, -0.050654069872654209, -0.038271867578566918,
    0.22825317750486071, 0.083431856444488126, -0.051804528245915873,
    0.027084436617280605, 0.0633849474984182, -0.032777877845312553,
    -0.015547747600268768, -0.013932800530988164, 0.27255457453278209,
    0.088305997621765733, 0.093889315423041686, -0.0254996083023565,
    -0.044923971176533593, 0.032190345755909608, 0.078415304047449841,
    0.043146727311945056, 0.20499687354739304, 0.032877423579143,
    0.090563161449227825, -0.0084604576573088629, -0.068272820335507522,
    0.026051638094976737, -0.067402275468566933, 0.018131073432520271,
    0.17280087606367844, 0.095276070894373358, 0.029112751018101974,
    0.097349231958724761, -0.0039811928816661356, -0.034921012375975995,
    -0.094910574844144752, 0.019684615445795726, 0.059607525158516465,
    0.077352022669584769, -0.030438782751403229, 0.0083742248747222213,
    0.066309226692252851, -0.07082481415776079, -0.11927031450453582,
    -0.077468370578161985, 0.10610855461591935, 0.058111902414508018,
    -0.012765429025947418, 0.090420905611451885, -0.040931444131445144,
    -0.0060867727040681474, -0.19293702473775237, 0.11205189735587304,
    0.17207923336304484, 0.13253205315478656, -0.080348768660283079,
    0.11532332741001025, -0.14556833329819405, -0.046645234028880676,
    -0.016067787826379586, -0.0090393745139970543, 0.0665713830734055,
    0.093868394201364933, -0.1381872301027639, 0.038517083697995246,
    -0.00455694679152981, 0.021921976940087146, -0.17887753899424835,
    0.12841442960067992, -0.0592397472939834, 0.10119457827390163,
    -0.098637158944, -0.05666707594076232, -0.1443161960487,
    0.017132997546190729, -0.0697374435475675, 0.13724680371174608,
    -0.0075113371007682764, 0.042472688692989952, -0.060865992845270674,
    -0.10206824546336908, -0.079989798549283189, 0.15540701263827644,
    0.036668322261452162, 0.014938244569839719, -0.052543949731396943,
    -0.036868330777823893, 0.012098701219531023, -0.064795518325109852,
    -0.147279102300645, 0.12296860517898864, 0.00040422406346950104,
    -0.079454358946884254, -0.097964997690842978, -0.072826139584767122,
    -0.0377622210269911, -0.061050173984168711, -0.024874565046764722,
    -0.084650514313530822, -0.12832387411831292, 0.08426563602565966,
    -0.12210132104682767, 0.037710215911404513, -0.080371543742618873,
    -0.12783872102268118, -0.16194150673246083, -0.098134904608227172,
    -0.060181464141290768, 0.11076786207989547, 0.0047676920842093509,
    0.066843494872560846, 0.0648083903879753, 0.070549993923482324,
    -0.064054848681937671, -0.064632946795720958, -0.0688689900905307,
    -0.065877732255609417, -0.079956263005682121, -0.083993753186474646,
    0.034789270805553378, -0.042721272745162693, -0.030050102798747202,
    -0.000875441297044852, 0.043886092581107719, 0.073840113669046331,
    0.14127011871931203, 0.028839342877375648, 0.034426190616724493,
    0.0012296404918436324, -0.039970047429814082, -0.020979863286865796,
    0.079769628226369613, -0.00855084881946116, -0.10714457250021232,
    -0.038554253807558947, -0.036831563230638631, -0.063649290477529333,
    -0.014067289971125649, -0.0096062539133715315, 0.02877515325712068,
    -0.048466825374992209, -0.14740150391271628, 0.21621769615632438,
    -0.052827510106355891, 0.03942141316194317, 0.0806969211400118,
    -0.036702840483603387, -0.036867073290124841, 0.034177078502009788,
    -0.03244800344580636, 0.01955356583789411, 0.00023642299739505822,
    0.13573821339386302, 0.12820941004561529, -0.073362644682176861,
    0.11350780890876841, -0.15931417792504185, 0.045630009159840355,
    0.11179037797228278, -0.25779494857424551, 0.14349232923543057,
    0.098352941118711457, 0.0365015821035893, 0.059114358145712732,
    -0.14273750239415067, -0.16979898984853098, 0.18181522556509769,
    -0.11045933121049238, -0.048608691967337005, 0.11382512350748718,
    0.04967814617049849, -0.0036749187518039738, -0.14178920876725035,
    0.1242767682628189, 0.0387542318266113, 0.040994794264245495,
    -0.06700856144172769, 0.0911989276302219, 0.16436722864056511,
    0.10199166192107267, -0.28663542522722107, 0.095394263816014735,
    0.074910916020586291, -0.18089954540024852, 0.15369382430705486,
    0.17391083855961315, 0.20363073246666782, 0.13626913410066455,
    -0.18747335387885222, -0.13641214415448794, 0.13684735043784216,
    -0.19303324766480859, 0.089937360865760374, 0.098095714245802768,
    0.01733956031813487, 0.12727566979588861, -0.06117418156132029,
    -0.19605253910212919, -0.050207338394488654, 0.066950677708159476,
    -0.09786322582801979, -0.064728595842728318, 0.13966088700924356,
    -0.019307764598216155, 0.013109045017219692, 0.054816101572874518,
    -0.011644755172061283, -0.049982122042711331, -0.060974944647574,
    -0.059488044620249078, 0.1302583597775028, -0.17672550068152199,
    -0.060652229778540713, 0.056352109750060775, -0.0032215986807597879,
    0.014533556771594378, -0.026925505366750892, -0.083574170373670556,
    0.12739732546141047, -0.036754308594991236, -0.13587785834350502,
    -0.052040899209178308, -0.059561775518314444, -0.035217516237252819,
    -0.03361491949796943, -0.02495348828530005, -0.048849492420044466,
    0.016368710061592056, -0.033314705202638288, 0.010815414860093223,
    0.035069597903080688, 0.00071646204243015538, -0.11703533754441112,
    0.065416832884207327, 0.004714123896811649, -0.093370610708245955,
    -0.045699500158515427, 0.047088975276702881, 0.020936783389309474,
    0.0069921739399135246, -0.13936638447704933, 0.061488249061008408,
    0.14289319634577763, -0.015440926373264689, -0.0471790784620719,
    0.21368920148589676, 0.13118815025005132, 0.067171318863040966,
    -0.095211735517421126, -0.062462868537169425, 0.01843822380424304,
    0.02251145641772908, 0.033637314215448279, 0.099462332493666081,
    0.015280221966141164, 0.014272987621512193, -0.10457307704640123,
    -0.015271325200180385, 0.1081252781109599, -0.040453656444535732,
    -0.097073710814602754, 0.053520256918546887, 0.11619572749572275,
    0.0353023310569588, -0.034413497454280448, 0.011787529871401695,
    0.041034284115411025, -0.035088612324078956, -0.20040051353373214,
    0.0065899074399562978, 0.011931870637037947, 0.0254993558219573,
    -0.0089673004926630016, 0.078069047070589856, -0.046345675381423042,
    0.098857282564018809, -0.19368463222531115, 0.17807697013513529,
    0.048055960192705874, -0.020392111472648404, -0.018679923992380328,
    0.17145824281165295, 0.0021504390858171434, 0.13597214337915819,
    -0.090970829752530832, 0.13886749014842592, 0.10903534431294767,
    -0.031188519070037213, -0.071311185061460461, 0.19402644645648146,
    0.051868290556102536, 0.00051008494414255109, 0.017517643000941652,
    0.15508954313906548, 0.1123196916181189, 0.031544464567322017,
    -0.067041106854037136, 0.23357407375382078, 0.10922295110184935,
    0.0094353772160300515, 0.030046050178481304, 0.12387202163290177,
    -0.044064297968200647, 0.039588668483089944, -0.066780484367127177,
    0.039541343405603724, -0.0016568469911516235, -0.063999914907959365,
    -0.10826399747906049, 0.19785150020265646, -0.027219462698624797,
    0.033433840003502718, -0.00057277417510650142, 0.20787395495783298,
    -0.073189141623124426, -0.10041903690501851, -0.11075222691914693,
    0.1604942451935519, 0.040149789715978518, -0.011263897426095532,
    0.073166318822968007, 0.044926709487890792, -0.074237830034524444,
    0.027080340462198395, 0.028852023542419419, 0.10547965875275929,
    -0.044818595542344887, 0.12575616589668745, 0.10576954448474034,
    0.16853537175974945, 0.0031504566720386359, -0.089979944440656032,
    0.038353207083388074, 0.21843805716731254, -0.10521944896844918,
    0.0789738723877634, -0.063748206984913652, -0.013076653239358813,
    0.12641820992604008, -0.022847587977334962, 0.0889558140177801,
    0.2143087530987077, 0.062682256878629883, 0.0412350622627613,
    0.0052512770727689978, 0.089902994490283522, -0.01724063159085143,
    -0.01021374181631151, -0.029565391731358644, 0.14777101608982635,
    -0.0466939408576531, 0.13474448461754943, 0.093415468750914554,
    0.16971522016726054, 0.061232696444233729, -0.01034532023418681,
    0.060931545776742591, 0.088462072654435411, 0.031984722661699022,
    0.045889414280506059, -0.029352331083425109, 0.061636886392348864,
    0.011340264487508833, 0.013105334054611509, -0.093794046788058638,
    0.060940498779305088, -0.060787504692457341, 0.13713135383543729,
    -0.058903649689430883, 0.010492079155810685, 0.095816212458703351,
    0.058713833418019543, 0.065374138196848064, 0.15065152341168173,
    -0.016213935872182072, -0.0782827102278767, 0.12862348365331921,
    0.03099416561236424, 0.019205077774955445, 0.18708274132528926,
    0.078562618198290121, 0.0828578987430282, 0.044693991191171435,
    0.06105152022983245, 0.12086842838847332, 0.16636057778062302,
    0.09042692597109292, 0.197967316044535, 0.047121111795379589,
    0.18311198898691491, -0.045276406495795715, 0.035468070493967413,
    -0.022599267690270305, -0.071821956094320086, 0.026370288708096146,
    0.035026302228286774, 0.041577941495019061, 0.21743972464567241,
    -0.12319141148455397, -0.0065538613321196645, 0.08320102782819537,
    -0.031771413153544072, 0.020580611313213218, 0.080584422290261054,
    -0.0688832085984015, 0.019384593580200941, 0.028033993760205354,
    0.0054725755055233831, 0.10566330737744002, -0.045382462608513668,
    -0.014799746841424761, 0.06519296212549755, -0.0063673928333400111,
    0.027749322037131277, -0.014888354286421483, 0.10400966910591469,
    0.11249647355566195, 0.09230604450110369, 0.036076284853713191,
    0.090632032159844361, -0.084187961404049161, 0.14177849194051109,
    -0.030739776358225428, -0.018376644005555935, 0.00814908176852249,
    0.045577099337306339, 0.028987365368634128, 0.089740305427047876,
    -0.077867302241809558, 0.11663856022271796, -0.084318498753808868,
    0.05148783630093301, 0.040000034126747713, 0.043201039406135539,
    0.039804843355709364, 0.10830177121084671, -0.031538403183018635,
    0.15007128704778719, 0.07200988032022651, -0.011571588890186635,
    0.034565690263918009, -0.037623942958790436, 0.0645332528139206,
    0.1195624466842143, 0.044842190862870758, 0.19535765638917529,
    -0.039647602309951666, 0.080537543476074641, 0.041087169587857915,
    -0.092248133361565787, -0.038985304039750375, -0.052209317757422248,
    0.07832065382690459, 0.14983356494540107, -0.020874667651472906,
    0.05270100761436184, -0.055234143226689826, 0.081309745215294646,
    0.0291030143172036, 0.10142937169589616, -0.062451626919346845,
    0.049965997071311073, 0.078002690220576973, 0.050401511734312641,
    -0.0011422041407263416, -0.083390579646213964, 0.061264125312993342,
    0.037017930118941132, -0.078513629487771089, 0.22025561552802342,
    0.0057915290729760212, 0.10341822420183133, -0.046858685253440259,
    -0.1342004478745103, -0.0783751428159957, -0.063971363105313261,
    0.052135506605219643, 0.11899971075651451, 0.075891177209056818,
    0.086528948375143883, -0.051538494043926533, -0.10193570317904047,
    -0.052864128838033896, 0.048032643494309232, 0.084180435243549193,
    0.34577388255150049, -0.059416016656753091, -0.06473731341515386,
    0.037211446893567118, -0.027489482609618525, 0.074200256362869366,
    -0.022765325676965611, 0.045230833767420479, 0.15489667162910631,
    -0.091308302671349012, -0.0038075653315596467, 0.125538865438393,
    -0.12147481283223924, -0.10216151225401389, -0.068712395622670591,
    -0.0691750644413989, 0.22670905129042368, 0.077581495353376537,
    0.010700430266409227, -0.020381951989044435, 0.042165594414022588,
    -0.010510325302473707, -0.028609086667911541, -0.058746828005114174,
    0.20829329830146179, -0.025981880187515641, -0.065974665377404346,
    0.06266577261599432, -0.0071050296399204843, -0.011758086098911512,
    -0.0016354390958444611, -0.056062411924520911, 0.20002855761012123,
    0.0054491858674092838, -0.12486261123498385, 0.093009471535959135,
    0.031154274048878161, -0.10457619318316001, 0.040550750956757836,
    -0.027659589469564764, 0.13394772989879214, -0.04787951310466821,
    0.0131383073464593, -0.026674049418287344, -0.028707387727025354,
    0.05392159562375784, -0.013879332035839985, 0.0073116216995102908,
    0.088553769001261384, -0.016230422845740892, -0.013969100411040247,
    0.076659191260137677, 0.015910733445646044, -0.055721769009427047,
    -0.010065702066914709, 0.028792442999694492, 0.052162577485520389,
    0.010826581607243157, -0.023205417673284504, 0.019686560300270391,
    -0.02430093255774176, -0.070074816494355124, -0.16184730769797945,
    0.069227806700992253, 0.019521825624734944, 0.04129233445149786,
    0.0026838592917859958, 0.016204117667266874, -0.0607136731258304,
    -0.070889421906606534, -0.11948085700786881, 0.037962265751056851,
    0.11429871668786619, 0.021666574399512188, -0.11691765236284157,
    0.0064368378457914325, 0.053601793389848447, 0.042771588412151208,
    -0.023726706328024264, 0.0036526138652942359, -0.038915453116190532,
    -0.11431203871246896, -0.030660988441646792, 0.08282625804335525,
    -0.077292474851103979, -0.0099358850953419862, -0.059194901217313418,
    -0.085942808053546, -0.030996322075167032, -0.09067840805923201,
    -0.05009371090617757, -0.024143960784201394, -0.012368216689895047,
    -0.10375167069068007, -0.003690776114146845, 0.077781355297074278,
    -0.026034948113937289, -0.094145524783598347, -0.074527111933495926,
    -0.016021693511402164, -0.050996885325850054, 0.055190273086764323,
    0.057726019185401344, 0.0948173620124339, 0.10590094663277805,
    -0.058549453325617354, -0.171933715540764, 0.047006032153866104,
    -0.0785354032726406, -0.068501285190156358, -0.0087911249947492283,
    0.076533255416306969, -0.14409288930749053, -0.0024339849515639081,
    0.027972785641936365, 0.040974384992114185, 0.048828225217858331,
    -0.055390984039338835, -0.057689710974688287, 0.015770897812376811,
    -0.0403018354964499, -0.067688645061525957, 0.029593966145436849,
    0.0908337388378528, 0.18086900934222344, -0.062645054614058865,
    0.046224407381533841, 0.080114868614682214, -0.03882684866944465,
    -0.11475685003651544, -0.0037181356593934743, 0.078240493656917792,
    0.12428085676655468, -0.10015584044424851, -0.014775723498800915,
    -0.000623737838295202, -0.058899304878901715, -0.0712411715371139,
    0.0016470109864115524, 0.040587282886133683, 0.1183869701997361,
    0.035155320141412136, -0.11106160058828322, -0.059002259556791621,
    0.13112865756333267, -0.11519275225011825, 0.0027361724574942159,
    -0.062160254660377348, 0.156290052973282, 0.047754322720431619,
    0.070984933173032519, -0.01642509195244015, -0.0934019515166622,
    -0.021244842791705184, 0.031697250503649008, 0.076389571816945709,
    0.079101686878049915, 9.1846286245800569E-5, -0.026959861416988275,
    0.047470654385896163, 0.062607827579988146, 0.00298900003227387,
    -0.097046870540072883, -0.067579979426776349, 0.14030158197047363,
    0.0692412527485726, -0.010687731507736496, 0.076882984123482365,
    -0.042421052079526338, -0.014930340852304939, -0.059925466991939333,
    -0.039473719283776409, 0.094858208358941445, -0.055765009633467442,
    -0.092510296203711068, 0.0063692896122471334, 0.0081120835398605148,
    -0.13463829652915463, -0.073305716360197046, 0.083769398631149988,
    0.072891074405662365, -0.070003381576882684, 0.0159401127230837,
    0.1095712122148246, -0.042993542537417009, -0.045609954638986629,
    -0.060039124511701514, 0.050197089596295569, 0.21314386050045889,
    -0.086770113648814776, 0.048959116738428385, -0.046682074793587026,
    0.028108744576846454, -0.064743714953393885, 0.080323207346786052,
    0.0707680972058237, 0.044844967748532062, 0.048134124682375511,
    0.0028552994144238853, 0.042811612468595807, -0.083963204522793419,
    -0.036417043735895618, 0.0500743435372714, 0.078063842337230516,
    0.22915540838077111, 0.064044908730884739, -0.082341107739203209,
    0.085980222266653583, -0.1259730329541344, -0.025005288556393487,
    0.075496874424815813, -0.038903049825529154, 0.1444050694787504,
    0.076036307992447413, 0.042363563129471683, -0.050743567466837218,
    0.057603038128949562, -0.0694291916536088, 0.001645284677589201,
    0.043425310580814717, 0.17245516920222892, 0.022169758781662538,
    -0.12923451507496564, 0.032316604526570175, -0.057289984399699477,
    -0.014199744422799055, 0.11439560478113198, -0.073020798640044168,
    0.22860522987541759, -0.084071623587490471, -0.038842790496704284,
    0.10354456844434368, 0.10412629566192752, -0.015332748428349885,
    0.0008788345049022591, -0.00748161024224372, 0.053787937021088458,
    -0.10119877368425864, -0.012984822184442251, 0.054535058010432812,
    0.084392376759447, 0.045582473060938572, -0.055844575138519953,
    0.055336525697903732, 0.22525480585569976, 0.025067719810593584,
    0.027034170186936039, -0.0061336307329821, 0.068945252696634013,
    -0.10653247718256431, -0.077444794181096135, -0.04137958673520889,
    0.19380546534906934, -0.017448645584150851, -0.044107530062860313,
    -0.0025080320553727744, -0.06128808739354108, 0.022323549521454888,
    -0.072431169953861119, 0.01272453053936364, 0.041488271022937971,
    0.055776069222509085, 0.0019949067643450511, -0.048989408053553118,
    -0.051577955777437581, -0.062579696711268035, -0.010386987578978881,
    -0.071871716447620679, 0.15324966608038892, 0.069982354186784237,
    0.066292783841496186, -0.05409974761327848, 0.046690394024740192,
    -0.0003649777366302279, -0.0905607345491259, -0.058794476163408133,
    0.15262800063695459, 0.034450816596056311, -0.02623700231729386,
    0.0609406898959714, -0.11195194853752664, -0.04360166924162949,
    -0.11505397825360403, 0.040017125543188439, 0.059969000743885156,
    -0.025019487059079089, -0.03759444351616071, -0.02558901228544164,
    0.033063592657021426, -0.016135892252598462, 0.027911671520337609,
    0.062574144707877116, 0.12212475117759403, 0.073772801726609272,
    0.08402797977282743, 0.096445035701567344, -0.078901382174229859,
    0.044816468309351591, -0.03723514996001509, -0.014472360005323237,
    0.13469530788595155, 0.10647709475875593, 0.09622214104718603,
    -0.10053752846459642, -0.030994457210401678, -0.017866938786709311,
    -0.0676874155521902, -0.0732095688904916, 0.11344400300864417,
    0.053650337953023, 0.058613509271567554, 0.013159050367763105,
    -0.16358752524088466, -0.051444318967703691, 0.056376535115795975,
    -0.11034209788218398, 0.13042374294322931, -0.057127737002542471,
    -0.042095786372672382, 0.063021558563629232, -0.07248002867574449,
    -0.03144053795526075, -0.12669634963672541, -0.071028462935415676,
    0.0319577635606359, -0.038582030593237518, -0.0666230653936736,
    -0.011155549896674163, 0.039787891986702718, -0.12999564749387532,
    -0.0074124858221014181, -0.033730547032094958, 0.21333381389309253,
    -0.0095059875688140866, 0.00029953333046445197, -0.08668388524658116,
    -0.0081372020662535856, -0.09602198416426902, -0.0808356346069938,
    -0.0933769812054057, 0.097616750343940226, -0.0550336273181813,
    -0.02196811952502636, 0.029725340065590675, -0.056936854253248438,
    -0.071245354700659527, -0.047178488288786721, 0.042553397865470813,
    0.20994357240340952, -0.075229902138990182, -0.12712884116708961,
    -0.074321081374571024, -0.030726740661346862, -0.012082783455626932,
    0.030243316536155009, 0.054080294624371028, 0.029115586368658783,
    -0.020471105777371393, -0.0941128989575935, -0.0085158587044553355,
    0.038018980495977031, -0.11893130607630707, -0.05537647979763851,
    0.0295510276839389, 0.22612507427533043, -0.087612359650628926,
    0.027310825035419435, 0.0034637132760085435, 0.10341479112359074,
    -0.11805592885366484, 0.032835133884569781, 0.024764708165797171,
    0.062687923988521313, -0.10775913528327193, -0.056389159644245651,
    0.012759556435109608, 0.13779131770546912, 0.042125280213423127,
    0.08236145309782858, 0.0088238356186609058, 0.086943277781788064,
    -0.11329435362454118, -0.0877446549860053, 0.094267559545833129,
    0.12675809403859892, -0.035496818949632254, -0.018812099631576124,
    0.029882060073841782, 0.10582995655364524, -0.10575674866391972,
    -0.0013012208533851994, -0.0042716384506676077, -0.028363159631016936,
    -0.12955781623892285, -0.086165331695573708, -0.042236763600868456,
    0.12137951223346681, 0.057166697346243411, 0.048771291017218638,
    -0.049836893621500733, 0.057071303845826857, -0.037899456246523466,
    -0.077662671328756275, -0.016502238532215677, 0.18349690562781523,
    0.059736440489463756, -0.11977236510831653, 0.057520880680888384,
    -0.05540440294049935, -0.022444860591340897, 0.062842022929496366,
    -0.020636355027700254, 0.1219158892334708, 0.037139671123157608,
    0.04468680489442324, 0.10608045556767914, -0.01886388769165908,
    -0.093189291715147435, 0.10485954793114657, 0.0869752158634814,
    0.14225766266237255, 0.060239061083416055, -0.02044799865982988,
    -0.0099294647335872663, 0.13597879065203411, -0.15028645394172432,
    0.087346008408406881, 0.088708155584067722, 0.037957690740117553,
    -0.023592407178497969, 0.044043079661604062, 0.12249809557114488,
    -0.042331295362086456, -0.027412704313220668, -0.039583668158380853,
    0.029029927566382223, 0.12926145583268053, 0.013697089027399039,
    0.0041697954596587395, 0.028848151118340059, 0.055337321212470612,
    -0.043959705464708981, 0.083804701840816634, -0.040451157839403479,
    0.19279382240894216, -0.0083412293087473874, -0.0042073383044737107,
    0.011383040617059191, 0.022237681982446241, -0.11324162757398164,
    0.027573944416530528, 0.0051769306891921649, 0.042202447495952713,
    0.018702124831989391, -0.044687053771457909, 0.083952295646137709,
    0.11842720137591388, -0.12364284661212022, -0.0048392794732235317,
    -0.015311694541065386, 0.13865402985432965, 0.034662021915015093,
    0.057409556907647888, 0.10457610287298029, 0.052984274151929994,
    -0.1177883538437547, 0.10392637018361484, 0.047154844696193896,
    0.052683593184921877, -0.073871146567930909, -0.040171639934982614,
    -0.049844666849932773, 0.094598734926430575, -0.037821726198189735,
    0.095815287287147874, -0.049087246295767765, 0.061911968419258626,
    0.028921615128744183, -0.079509076768725193, 0.012626381376620423,
    0.11117118425456959, -0.13518631677042448, 0.032097599317781673,
    -0.10952523967775891, 0.0814253679201589, 0.080660521427812132,
    0.00018163200358841715, 0.030693003467478917, -0.014705293529516897,
    0.034404122948431551, 0.074898770882574781, -0.062470231599606234,
    0.18136383013218607, 0.067522507230535, -0.073639088501539135,
    0.011171038413839188, -0.010560265517356259, 0.039765699150413829,
    0.074041545102879622, -0.090375303118837, 0.030473197523148567,
    -0.065589520140396179, 0.0880116828677427, 0.057743748206874917,
    -0.12507385247295538, -0.13472481417549664, -0.11216729680402344,
    -0.082632722278408247, 0.13653474230776216, 0.012449027587443068,
    0.00065989559668125147, 0.07042860860723292, 0.0019830310721541994,
    -0.13973555795825268, -0.0891666385294305, 0.094760540685419364,
    0.012029895197920876, -0.11974542854854711, -0.0038047692796703116,
    0.0056590507760397642, -0.2367417752649929, 0.012761617523512353,
    -0.028522586637495895, 0.15256783203440319, 0.02913062452160296,
    -0.045782805213203548, -0.093935097016619618, -0.059782718384641172,
    -0.18854962263188557, -0.068249853786868722, 0.13780615971424587,
    0.071311557516093638, 0.027386354841981715, 0.0045374300030546063,
    -0.025208877291804894, -0.033766552377420128, 0.052210886441495422,
    0.058155065930666217, 0.022938484804542952, 0.055824023989679478,
    0.015443914880206447, -0.17405779015724851, -0.026314851587911858,
    0.028790751886221985, -0.32404563279871523, 0.0874321776512484,
    -0.0088433583369873087, 0.082668437256749119, -0.12734056417111808,
    -0.054199612244635924, -0.1103840584971086, -0.037997017112018083,
    -0.16589312789857255, -0.0955655657044019, -0.023800432926212041,
    0.0059859327760531508, 0.010915982260447619, -0.14283837597729676,
    -0.042562068274407734, -0.045037503096121465, -0.38312662603378594,
    0.041873614071853027, 0.023550067001607732, -0.055264687743207822,
    0.010922114649461108, -0.017725378184896005, -0.069392046269386831,
    0.070527566544743125, 0.12248218429073902, -0.072973345114522872,
    -0.21338606871764604, -0.067413969552471878, -0.039294985121612711,
    0.13491080002248504, 0.067639539765170856, -0.087349344356136047,
    -0.16615157691383611, 0.071932115156598267, -0.10098004269172399,
    0.020417040544132528, 0.01263767018761975, 0.051064180064443236,
    0.089670065977717317, -0.080018727331716555, -0.13429545796879414,
    -0.11114623278126039, 0.014408184689467592, 0.089697762022698926,
    0.068062264479604256, 0.035434774934861558, 0.0043715749592688957,
    0.017701731780428751, -0.042943792107767449, 0.060368796104879212,
    0.093631035522994108, -0.024979395584884077, 0.0035961158063240826,
    -0.03966462267553595, -0.017200597650461325, 0.0051663247144034,
    -0.023805484544434142, 0.12131201899468527, -0.00014162526549345956,
    -0.00426057287302159, 0.2275596663472238, -0.03797841423676649,
    -0.040092130439017562, -0.04405962513285417, 0.16504191442218835,
    0.089330640192819277, -0.067038469596977332, 0.03165453999848817,
    0.084523867959817353, -0.0169629677619962, -0.041937356152831062,
    0.013831154301854227, 0.027626380122677634, 0.084826966827585976,
    -0.14247391728184766, 0.096711078570713357, 0.13185368649810247,
    -0.02443839048559213, 0.09256350770459712, -0.13477349164468994,
    0.02558786522145759, 0.11976685310530295, 0.05420132412131131,
    0.071591303884334281, 0.14989426595237246, 0.0024682914154064779,
    -0.13005555099466221, 0.0086857241259319044, 0.33085671124034427,
    -0.038380871406050114, 0.038081270422050659, 0.14543411430497244,
    0.036102706530577712, 0.052178568216723009, -0.0770848592508949,
    -0.0712386635946244, 0.097271308072669441, 0.0074597515220664939,
    0.057747892102802074, 0.15484759768261519, -0.13215116387647549,
    -0.17829562969196069, -0.24001296994925345, 0.1248246854297758,
    -0.078189449804272365, -0.080332461904616279, 0.099035734033805778,
    0.21357804673324612, 0.01189658484721819, 0.024112284052216444,
    -0.15594141434305406, -0.017853975287444857, -0.11076131707451124,
    -0.13470635693376748, -0.090048070847555159, 0.109455292687944,
    -0.062844541311632612, 0.047278681017211818, -0.047214780635571371,
    0.0715595951846727, -0.12201049424942395, -0.11381417885272868,
    0.031634854420158717, 0.02435154003401498, -0.021804931567206989,
    -0.11296215217761756, -0.091448170815925517, 0.037646911748587177,
    0.11267298607087489, -0.0489712187327875, 0.054300236937635152,
    0.023434654684227483, -0.12909560609716261, -0.12052731744832582,
    -0.066220522747037047, 0.085066259754231988, -0.13681753638014563,
    -0.022971620393654857, -0.061639947417803133, 0.03976839557954083,
    -0.17389005199821628, 0.0013950665524875426, -0.062148905353179795,
    0.053779006950566907, -0.058234812323692257, 0.075572168814199162,
    -0.020400071298583212, 0.0093293290767145626, -0.10733921805868094,
    -0.022958750865413411, 0.023648230249747933, 0.0090566537026161957,
    -0.22264114156226872, -3.2685988544685037E-5, 0.08456715772095949,
    0.14297894607100556, 0.018369604861582331, -0.1091586736899441,
    -0.038929879625575058, -0.032451669267896013, -0.2968187144853846,
    -0.072790883029551653, 0.0947562247669385, -0.01877623685892317,
    -0.10883427584848797, -0.16424739610305009, -0.083751773367256074,
    0.080708543300997443, -0.086930325474698672, -0.0052225890281807916,
    -0.0038681791703742978, 0.049950100602848581, -0.15572023298321919,
    -0.04605697324570087, -0.18850335898106149, 0.034721300179822806,
    0.10825064993315577, 0.0015144733375210421, -0.030058304649838243,
    0.12374399573360957, -0.15133042802608004, -0.057757215373599548,
    -0.089668118455467308, -0.11872005842292151, 0.0840765181876996,
    0.099906529509899325, 0.064906023291950818, 0.067050733724539957,
    -0.1395495209276556, -0.10027567711197492, -0.060288785033976167,
    -0.067851272435867763, 0.042882199590902843, 0.094472781054116522,
    -0.010595860128885833, -0.027967236870371358, -0.038231418650578448,
    0.017290070440631966, 0.046382428830880923, 0.043658303706326833,
    0.072083175055065188, -0.001723835033419371, -0.12391665601531882,
    0.042518261210444705, -0.0065348881109402448, -0.056306865150079446,
    -0.039021481476703826, -0.025195779717102296, 0.0090298851223565256,
    0.0026489900189274776, -0.18640001972572459, 0.0053712238806413745,
    -0.068412507768235473, -0.082641981531852413, -0.07584283257358955,
    0.0810298855657488, -0.064668631592152109, 0.035566795777086511,
    -0.21839102469076949, 0.070785985675767327, 0.0366650629142312,
    -0.051807205482649783, 0.043534689248543826, -0.057054435801476455,
    0.0727061312962414, -0.016795698254068382, 0.0659959243344149,
    -0.016953499759489444, 0.040439127044375668, 0.011713172705670903,
    0.047978161680187842, -0.10618879120911406, -0.0094833487307761245,
    0.11128091611129104, -0.071723128868422525, -0.0041393960634702473,
    0.094692461000337139, -0.096040536131960869, 0.0189771500595298,
    0.055975936814138989, 0.047726451614406362, 0.17216790828555761,
    0.055797693285568543, -0.0012428237270559533, -0.15584902509757451,
    -0.023783924140951283, -0.15087940493798277, -0.13404800477765622,
    0.32918871403119515, -0.036838213165398273, -0.055990206522425048,
    -0.062355974531350167, -0.026017769789407265, -0.019864478490347302,
    0.0555702237518806, -0.14246902199460648, -0.037944464031464488,
    0.10641241160411252, -0.061294481554725291, -0.075965700621164367,
    -0.1486617069621825, 0.067694610190210808, -0.080200231381542267,
    -0.14546895890893718, -0.036343075887110471, -0.043118333658019488,
    0.061343405294472513, -0.074451449100673348, -0.077042874134318012,
    -0.094476805768291608, 0.0628438733153137, -0.053522984454070437,
    0.050482441786308681, 0.091844996553845, 0.0676729409173671,
    -0.066735706174124887, 0.0028361527302742844, -0.075213540549612351,
    -0.034505819136616975, -0.11431294675536494, 0.14564477194955755,
    0.011512603678085357, -0.022291981305068598, -0.0974691652965265,
    -0.046564716043143044, 0.048311505249784649, -0.086177847085330841,
    0.012602991899766311, 0.035060023018597453, -0.029780849147045586,
    -0.071903833282780868, 0.0029867488082752315, -0.091124573380929261,
    -0.067283900248673575, 0.049541753730484667, -0.054273104222181123,
    0.013856613380445177, 0.11394697052778073, -0.02954770554479277,
    -0.038713128297907212, -0.15982522697752385, -0.1296452241977202,
    -0.17303893018833266, -0.091759322835604631, -0.17319432210028468,
    0.12294571314406377, -0.052884461211091492, 0.0589545331409955,
    -0.05627131408482728, -0.070466293193760562, -0.097569960894778693,
    0.015718733536070069, -0.12699078205236303, -0.041880335856016478,
    -0.0603042262952805, -0.0079687397421227268, 0.037776692452882073,
    0.093159258777045381, -0.12598364719040858, 0.059871476879021994,
    0.012999910468977421, 0.044790060418497112, -0.10803196425179022,
    -0.088968139872324686, -0.0024933285670791349, 0.0053867265758439425,
    -0.17744622567951565, -0.028546720970799529, 0.019503490778518977,
    0.036844848776494278, -0.096219199441098316, -0.11093740481371298,
    -0.037185915743022636, 0.066556466036381989, -0.11574170394607879,
    0.088753959124248258, 0.1587394168104467, 0.085939982340965559,
    -0.10531350494483485, 0.091219561279714978, -0.21750640471980165,
    -0.01089321284040657, -0.24375653739417816, 0.050266463671021284,
    0.04305314055126154, -0.032039036919422711, -0.17787562688972947,
    -0.034787123799857954, -0.15653107599049154, -0.18138450167980708,
    -0.03912755878993962, -0.089839979084022761, -0.014631640379605957,
    0.014444614549784815, -0.20546077900700588, 0.043928941438258567,
    -0.1296558340228231, -0.089410511122634567, -0.09286433475919334,
    0.035957179298798055, -0.15903783832580803, -0.078014719590401682,
    -0.30711121484344689, 0.08174444064614, -0.093262711663295333,
    0.016461929273574743, 0.093198271118564949, -0.05760085005718385,
    -0.29470251985780449, -0.12926743877599409, -0.070523201578159417,
    -0.023212988104844786, -0.072301010256252865, -0.11300138742023613,
    0.003016316169523164, 0.062069912695072664, -0.011447462888021582,
    -0.14506741321024141, -0.020214563455903126, 0.055716569329146676,
    -0.034814409149928185, -0.022801752976660913, -0.024970335775325876,
    -0.022888085043402565, -0.15545364876206391, -0.014609663896857748,
    0.281541485267404, 0.00051652511120174052, 0.10598545309594733,
    -0.095493807425439614, -0.13999297294880064, -0.013797305572951484,
    0.27421700837531326, -0.033635734686904291, 0.01278551785478841,
    0.10602862182103011, -0.062903147711654755, -0.052463431258897068,
    -0.1049311055754725, 0.074777434426755565, -0.17610907767039896,
    -0.088819359363187508, -0.092960388821650933, -0.018091493876649507,
    0.11581206382267417, 0.0086839245112489537, -0.00828777287364598,
    -0.062279530494578177, -0.16078247805149792, -0.15452833987932832,
    -0.080461567475833454, 0.051307543896386448, 0.024974515419150588,
    -0.13629201124887155, -0.17600868609015904, 0.070713771943603357,
    -0.216191474844711, 0.045775575703620355, -0.1806742912793026,
    -0.13604877392813075, -0.04447863806836494, 0.10817000985190529,
    0.1279118418279358, -0.17494962247160245, 0.17400062287888,
    0.055371610098015417, 0.017705511619590816, -0.017169457686265679,
    -0.0051120640838019076, -0.079643826480692556, -0.012069142225603314,
    0.05167524791205249, 0.0013483738456455453, -0.043608654624437741,
    0.1365136206530663, -0.0063825007629246819, 0.068314533103725913,
    -0.10760484429579713, -0.017586011369525926, -0.00853298658148436,
    0.10991712483461638, -0.034999420950294367, -0.006554778976137321,
    0.0054416632658094823, 0.088271974129406891, -0.15067916351073277,
    -0.17916050309009657, 0.096188543674046112, 0.01406416391127196,
    0.091067246070870175, -0.0885066604866371, 0.0477319353255391,
    -0.051999358477230764, -0.010352583321606152, -0.013772095046826166,
    0.079633796453039668, -0.26588546991488077, 0.10553415397959655,
    0.019534064977791026, -0.0932433035028921, -0.13946171883821168,
    0.039554854791773543, -0.05837325033502469, 0.01838573226884822,
    0.058485098848849455, 0.1114707652344116, 0.10340841791328051,
    0.0099156690088217959, -0.1422539008722265, -0.019321287376937578,
    -0.020093386435021295, 0.04482049667653501, -0.03821465550765249,
    -0.044982286432853881, 0.037610309116619348, 0.10216372674487328,
    -0.12605456233402046, -0.057023514769761183, -0.11962305333424407,
    0.023294053656682818, -0.1501337592431706, 0.045086942041032037,
    -0.032797954769974845, 0.018429730855870421, -0.059958129412550583,
    -0.0029854506444165221, -0.13576876023929935, 0.079361485185113087,
    -0.003085099541109792, -0.090133722565349572, 0.01909123942922589,
    0.025602016619841166, -0.15471362809009812, -0.18750234037742672,
    -0.051387550762831767, 0.010609709067561137, 0.042260279605663462,
    -0.082210350779280364, -0.11947427205674929, 0.11293933265068017,
    -0.080523191898401861, 0.029629892161215723, -0.0398536443702703,
    -0.038938448023038544, -0.26833531800875526, -0.067304729278990977,
    -0.098384628308591723, 0.21504396005834647, -0.13999260887042977,
    0.041021384394693876, 0.065402510694380786, 0.031810517657004989,
    -0.17485091298380076, -0.083738186630409009, -0.046362361017391995,
    0.068952023400070533, 0.062435009290275914, -0.038424573798394715,
    0.039352982272035035, -0.018574875090136438, 0.11470426390603113,
    0.035055180799217656, -0.057277521910079496, 0.034647611882339453,
    0.018900511394047085, 0.075848681055644462, 0.033730061059000914,
    -0.027804590898049521, -0.085865768648731189, 0.0117926666093828,
    0.014797346308379049, 0.015238939535929998, 0.042307720680067967,
    -0.019347630176321549, 0.057443100500308458, -0.015255661478846804,
    -0.085991046294375414, 0.02158473496858189, 0.0378271285177325,
    0.076747877492100922, 0.10314384356582798, 0.04287729808517439,
    0.12726243796672007, -0.042078779161253396, -0.10100359443883107,
    -0.072733381218206064, -0.04161261232933023, 0.08710414114305326,
    0.087559744253862287, 0.019079662494176957, 0.13577741446243038,
    -0.042274017686904745, -0.22219368835085063, -0.042317117810132511,
    -0.065289148312483433, 0.22315279082514625, 0.14756620745604876,
    0.073696763102910678, 0.040099227500733269, -0.02929081437432408,
    -0.20869914480135915, 0.039505894196618374, 0.00539228873763347,
    0.075301571911373558, 0.004840108010176771, 0.014520188118532881,
    -0.13919262335707985, 0.041658964739436879, 0.071212875960847632,
    0.054371936128582245, -0.06623289091495739, 0.010048306091597103,
    -0.12422003940370613, 0.092312813401148941, -0.0019967833355270365,
    -9.5469560086099288E-5, 0.057429915496876469, 0.034530579912105189,
    -0.015058720101393586, 0.12180211534495135, -0.14804872845015857,
    0.11015168178632224, -0.044526215428966939, -0.00011575544389274135,
    0.090964616442855042, -0.066909502648809849, 0.13630071263217777,
    -0.090118770106435209, -0.081785084596104327, 0.0220898370331653,
    -0.055893977567450327, 0.0015356115255661762, 0.00431386096428759,
    0.0194673531765488, 0.14510461147588738, 0.058391214758818477,
    -0.085518801219879675, 0.0688851503595957, -0.12822809179008074,
    0.12518885199504814, 0.24938940320791594, 0.1046501873397588,
    0.015613776441973698, -0.08060292520110876, -0.007998003783508666,
    0.15513557024539931, 0.10509443526508484, 0.0048843405812307762,
    0.0985653835541815, 0.01156316791512692, -0.0049641683681389236,
    -0.1278335337500969, -0.067223606332326935, 0.1174889744148564,
    0.064804451978141178, -0.069308085356342447, -0.082888248025579,
    -0.12793827663065938, -0.12417670222712095, -0.021075960365314936,
    -0.010452458750066155, 0.18474205321342924, 0.11169452836975795,
    -0.19218831303292749, -0.054462135484658107, 0.02242964464104295,
    -0.026243654701811864, -0.10570471895960881, -0.13750520654668077,
    -0.0059805312133735574, 0.030539471490444114, 0.032954730758520089,
    -0.072593138758547379, 0.0052252369685332643, 0.15570211574821086,
    -0.070439727177943445, -0.0720951414357629, 0.039823759508642406,
    -0.14045727368693142, -0.081518069146794325, -0.0216582941536768,
    -0.016334824435460669, -0.035259266181098162, -0.06357152030456531,
    -0.068708499332780726, 0.023754651819909895, 0.019436582243104076,
    -0.013089489302663871, -0.31112900170388313, 0.0036493174484042833,
    0.047988939784863849, -0.15550941534922075, -0.010474678955137696,
    0.017040169945284612, -0.050119803399763636, 0.021371202719150436,
    0.25956082448008311, -0.098415397548081957, -0.0015996258465673931,
    0.032091152709007156, -0.074154821244671848, 0.00190668330333735,
    -0.090848690285993669, 0.035396240186985561, 0.049926516586218328,
    0.063590697262303042, 0.1233821162036966, 0.031490144768054805,
    -0.025282857188117489, -0.064004981451316625, -0.032332727401997441,
    0.059200589529112654, 0.28554660629827039, -0.11113069453263541,
    -0.12670250875370784, 0.097624255154729708, 0.076399923289914809,
    -0.053515427086648006, -0.00042156827627911004, -0.18865623483206603,
    -0.22634708632817332, -0.057608093385388873, -0.088884147147152329,
    -0.054291268027141563, -0.081929537523965465, 0.024337647877225161,
    0.10437593068394019, -0.01304843353473214, 0.0019053835998174085,
    -0.062288458177475164, -0.017510260960381278, -0.010726203128308628,
    -0.14732427513838567, 0.19115735239452442, 0.023249129577041495,
    -0.010424971682062113, 0.11188632578184315, 0.093021707589687,
    0.030793881924974995, -0.083300261858198429, 0.069629182487051827,
    0.11231404932063205, 0.13689151072088657, -0.19064563105876514,
    0.152455132684302, 0.094188819689828951, -0.036976286391280457,
    0.1646011329638182, 0.005954346319724268, -0.10318608152172083,
    -0.019883277674565679, -0.12949162393811281, -0.042573892277144434,
    0.0578406437383572, 0.084958365261540228, -0.00899154474918785,
    0.1179166057475997, 0.074064687405617516, 0.13324763329960432,
    -0.072178180826211663, 0.032093743834804574, 0.037232106739644347,
    0.039772568521410472, 0.13878853993947962, 0.023785551923845998,
    -0.0332480753629531, 0.02121935766831649, 0.0082992485481871922,
    0.16201844305811977, 0.11792032712454591, 0.010169303197479107,
    0.047108718708600381, 0.16074979623120697, 0.059119239514255628,
    0.2521245848144964, -0.207040036526897, 0.00010007851875945128,
    -0.00323482780733722, -0.041258541748918444, -0.017242949593846733,
    0.16624221772313733, -0.031281248980024705, 0.10432873896419692,
    -0.182980200106892, -0.1367623963375971, 0.006464396124789224,
    -0.15400031061373723, 0.17476339694244361, -0.10248261394778643,
    -0.044346281411952085, -0.086295087573846171, -0.11078534927997562,
    -0.45513447096044307, 0.14145634333055268, 0.040302536391589712,
    0.17940188969161497, -0.099679644203799753, -0.076237778770991665,
    -0.03192049535241042, 0.029984704691498554, -0.23191929491853119,
    0.082342369113513739, 0.014970878503120755, -0.010174826808233605,
    0.10919955936067907, -0.12663347417432663, -0.11710022164420097,
    0.11911906894760194, -0.034159607497809191, 0.037772174843729661,
    -0.12196722753476068, -0.057687120275908506, 0.016010552233054122,
    0.095470903082620587, 0.12585443977828809, -0.050983219930798351,
    -0.023141870924707035, -0.1069877553860706, 0.093792273460772721,
    -0.12612873322222928, 0.13242204807368871, 0.02761029040438687,
    0.185357500621282, 0.05578949358137953, 0.28133442646769019,
    -0.1977696277363801, -0.23160303677510238, -0.035611388363267736,
    0.010681310612195441, 0.063095692659208516, 0.082837562115401345,
    -0.023154778865719053, -0.32014183703327143, -0.24912944048972069,
    -0.0034285486583126587, -0.17429687951551895, -0.12873722538075838,
    0.049178865684417344, 0.04791413198448391, -0.0073644324694038185,
    -0.21231766659476092, -0.18603776840194686, 0.0081084414865223529,
    -0.074321782484636362, -0.023676517119686991, -0.062942094798461523,
    0.0084109457750203079, 0.10646305621767832, 0.071945939278161314,
    -0.035668145668152754, -0.029943852933582718, 0.024366520951003036,
    -0.03949994504603286, -0.00985456176722282, -0.00017468862955446037,
    0.027797928801843581, -0.16902777833347582, -0.08112089060968225,
    0.17001028702723944, -0.013098673051270179, 0.069347220652328623,
    -0.12607679558481677, 0.02757432717405648, 0.11004702468982321,
    0.02398659191718738, 0.023900773672795694, 0.15044974832044219,
    0.021832755739674418, 0.147560737440347, -0.11365375615137062,
    0.14078674751311124, -0.086550804240400542, 0.19668025482524826,
    0.018738038101228351, 0.083840409933688576, -0.039022545451233674,
    0.023351931011050354, 0.10442224188793305, -0.019109516875321125,
    -0.16887125790714125, 0.20648899333130111, -0.11742413844461223,
    -0.0993423882572971, -0.059327220560037988, 0.1127403323887379,
    0.14080560967107517, 0.075360583575360823, -0.18526987516974486,
    0.10518740275033996, -0.038434315678546382, 0.093417800488544631,
    -0.12865025146181117, 0.13332292538535065, 0.082426296354171008,
    0.12215158048789033, -0.060409216204648647, 0.22843190341703271,
    -0.10503775936696214, -0.072085771758997066, 0.025747133179756417,
    0.074379302326307475, 0.035499916130385244, 0.18763302371483639,
    -0.089335223648008777, -0.22350469501202194, -0.079427604838189031,
    -0.15516938508716357, 0.051854250003548652, 0.033833860949432991,
    0.1992760528509315, 0.091299679908743339, -0.028201536758721592,
    -0.1481168470825906, -0.08596262272812781, -0.026488491468198944,
    -0.10581798434649699, 0.0057582847162210328, 0.04509418811834659,
    0.037786087171115333, -0.063122110799070749, -0.0032111977712037977,
    -0.1045775061254253, -0.025138108812600327, -0.092114927381892822,
    0.11691584207928177, 0.047825011516028665, 0.038071379781335984,
    -0.038450561365658414, 0.1769046640663616, -0.061556830701318448,
    -0.0964370878148346, -0.0062132226081928008, -0.0867738128603499,
    0.091301293763821845, 0.098483704617297885, 0.024802512659676014,
    -0.16820456552334287, 0.036820949957067625, 0.071294069165123916,
    -0.18288226290574647, -0.15033627212455036, 0.092552882567157033,
    0.076305749592717881, 0.11164463004814629, 0.21433644175426478,
    -0.11893958581317007, 0.0867585129778018, -0.098831982810565128,
    -0.14952479497930918, -0.0078418204721889019, 0.052303439522860255,
    0.043756048288735722, 0.039810384135139133, -0.067754524162233529,
    0.084184493789850309, -0.016733225988338866, -0.15053929506102823,
    -0.0033806508947196489, 0.071634877026005461, -0.023994108258373184,
    -0.017476516804757286, -0.061055414968892378, -0.14081088007812564,
    -0.0545995773300328, -0.25292995762218495, 0.12587907110165619,
    0.10589951864008516, -0.011283105264105612, 0.0747969362686267,
    -0.0917534657082087, 0.00491492505179081, -0.038465601882570526,
    -0.060221451236779786, 0.097094967455318829, 0.093295019499792672,
    0.0880561790443181, 0.092146138486852533, 0.039019413092329785,
    0.019559163918565905, -0.030558146720520138, -0.046469570987944755,
    0.15757191448153107, 0.11188435801335925, -0.054448010574842533,
    0.060141648705505486, 0.034970286711304858, 0.10841967433269278,
    -0.057224309051251317, -0.095055547142239391, 0.051750442150246927,
    -0.035193131288170851, 0.076187518583810176, -0.022833969216387438,
    0.064559037690084531, -0.0447150987823404, -0.16470928646618282,
    -0.059092697046345274, -0.103314029113297, -0.058451676028371639,
    -0.079409193869393935, -0.056210440426306879, 0.018535232043726976,
    0.11481087633059929, -0.10806817370283218, -0.16321968654379793,
    0.076694798058673408, -0.0884326284487051, -0.0286874450544766,
    0.14996673934990012, -0.017490734880984463, 0.073157697097888871,
    -0.082002965799088251, -0.15997315412834931, 0.047648541216456168,
    0.034385826987372, 0.064632646785765316, -0.16681352681552772,
    0.083427527613318786, -0.035802455557127945, 0.066274256471803544,
    -0.22043942734797486, -0.15527534141739369, -0.0456255874122851,
    0.042154224395243668, -0.0843170808416306, -0.024469478927123266,
    0.030207473763716013, -0.030071222671993952, -0.05099106135897,
    0.063361234416951157, 0.0038056178266758578, 0.069645454573353138,
    0.028378242403046053, -0.14214997201081986, 0.0387603658462274,
    -0.014088613336774277, -0.16839577847604345, 0.058467646129530169,
    -0.032740398703859162, -0.020698479897021366, 0.11692465258867644,
    -0.19741273320930869, 0.0462384617061435, -0.054989774693245244,
    -0.22460125328406191, 0.10819934554782178, -0.098804017071873043,
    0.0082010501153983451, 0.22197828264913783, -0.0980985409189346,
    -0.081971217609794478, 0.073373385642622579, -0.11083823125842539,
    -0.048609180987641928, -0.075623797788417726, 0.052111120202655153,
    0.025825793669950671, -0.08400080990049906, -0.056408284627771664,
    0.032917986220022774, -0.054487520314486351, -0.04417469912423673,
    0.0049361395054572663, -0.049203114548163181, 0.018099459807662387,
    -0.14681756422645625, -0.10961966938181363, -0.02182411150053306,
    -0.10737528371391464, -0.17838668743961153, 0.049704490071744906,
    0.090616882354987036, -0.15064973681079122, -0.020609040308617318,
    0.019334767308686419, 0.016225785084079642, 0.0072016288737212367,
    0.065810973676163814, -0.041284337807562708, 0.078938493618860531,
    -0.10288963296987873, 0.031650236797220677, 0.14172064906703624,
    0.022619225833197865, -0.02364959502829813, 0.022367926783629213,
    0.034633497160822625, 0.071006076546038244, 0.20766673117357753,
    -0.042222407337834937, -0.057395473849463259, -0.0034441281993704922,
    -0.0098382910471200239, 0.041053061962840434, 0.12502730921099287,
    0.021778545807972338, -0.026293509678223869, -0.052853695919703958,
    -0.0149841986314472, -0.035274235303764279, 0.12798547525007203,
    -0.051075731019956244, -0.092842551449332442, 0.096519773018313174,
    0.10513297041847092, -0.0615418608066881, 0.062088889649998577,
    0.057179555509243855, -0.029174095726107154, -0.077392665451426437,
    0.048382662666046711, -0.045727874048189066, -0.22593192539575407,
    -0.009554994217979779, -0.010578087978474066, -0.026159559955581738,
    -0.055307885182119633, -0.062716195349838091, -0.031980850146503252,
    -0.047531875136550918, -0.075310681560740875, -0.11297373652170341,
    -0.09119212236524922, 0.0037541721379022405, 0.013116623243635056,
    0.0063192938228471386, 0.033463723955459684, 0.0012714678794188152,
    -0.10390070668874649, 0.025389148213327044, 0.016392074686274703,
    0.00017346984568716362, 0.010489127524300647, -0.081711689656890144,
    -0.07523491063947628, 0.059955393031501263, -0.017019565747064289,
    -0.054653235558596913, -0.13318661062201645, -0.0015418740475708038,
    -0.02530551886284629, 0.055711426054680727, -0.083931661796359455,
    0.019584688402570431, -0.017938997394780398, -0.11042838449586791,
    0.076174713789297951, -0.063155040645640051, -0.028918139737738838,
    0.055646372446578371, 0.028671340384427407, 0.028863467260373244,
    0.078156402484520757, -0.075597105710140444, 0.043233937991074195,
    -0.038511858917945604, 0.0475897815380143, -0.033635304287054725,
    -0.090904417532528661, 0.16874559587981164, 0.23310469852261351,
    -0.023115264245437722, -0.16179406085379741, -0.14704641910112448,
    -0.060412561105335022, 0.11343422248258979, 0.0051370411158608541,
    0.039432222458931569, 0.27156517045053108, -0.20378160677357868,
    -0.075511389038672827, -0.09424112969995, -0.045381302225275692,
    0.098947080626602887, 0.024823918523939774, -0.088304869678133571,
    0.055387263698707626, -0.097493299056012159, -0.099115625708856167,
    -0.014169319420774857, 0.011781134475865719, -0.00684441695810731,
    0.077416248812740437, 0.087333965348583259, 0.20179074299593933,
    -0.22904211918433015, -0.015070062265455427, -0.06999260809673119,
    -0.10856621040484622, 0.029914907138636947, 0.15125157312530074,
    -0.098141434696530971, 0.1418712912874478, -0.09649323291808809,
    -0.086371985506296711, -0.048291245448879049, -0.1020747972631371,
    0.13018516181437481, 0.013388096243242434, 0.074362385624775679,
    -0.1094038584175845, -0.080818878865062685, -0.18398666498987623,
    -0.12034947071748966, -0.14842224228457274, 0.14535727249126493,
    0.086304644835682912, -0.066185377940208456, 0.05888646990234371 };

  double dv6[4];
  static const double b_a[32] = { -2.1673782391873817, 0.97609342191364845,
    -0.9576327594448143, 0.085658804438697791, -0.34282020026707283,
    1.8000767832331774, -0.93172234160454448, -0.86338169707772194,
    -2.0864514144113437, -0.81256397459086549, 1.1322866971725434,
    -1.385684962258743, -2.8900246292947376, 0.86056970690734713,
    -0.93699712605563923, 1.8955144526643166, 1.6553055164848731,
    -1.7274629070580247, -0.71721223590189509, 1.3458412575606873,
    -0.12049693110604622, -1.1355927235975793, -0.8549616550645871,
    2.0439076003034939, 0.79604592241578187, 0.99342714851844827,
    0.59421346435318179, -1.1402788138206836, 0.13175992696364244,
    2.2865453547711523, -2.6026297322686887, -0.072753589700656152 };

  /*  ===== NEURAL NETWORK CONSTANTS ===== */
  /*  Input 1 */
  /*  Layer 1 */
  /*  Layer 2 */
  /*  ===== SIMULATION ======== */
  /*  Format Input Arguments */
  /* isCellX = iscell(X); */
  /* if ~isCellX, X = {X}; end; */
  /*  Dimensions */
  /*  timesteps */
  /*  samples/series */
  /*  Allocate Outputs */
  /*  Time loop */
  /* for ts=1:TS */
  /*  Input 1 */
  /*  Layer 1 */
  /*  Layer 2 */
  /*  Output 1 */
  b_repmat(dv0);
  repmat(dv1);
  mapminmax_apply(X, dv4, dv3, dv2);
  for (i0 = 0; i0 < 8; i0++) {
    d0 = 0.0;
    for (i1 = 0; i1 < 550; i1++) {
      d0 += a[i0 + (i1 << 3)] * dv2[i1];
    }

    dv5[i0] = dv1[i0] + d0;
  }

  tansig_apply(dv5, dv1);
  for (i0 = 0; i0 < 4; i0++) {
    d0 = 0.0;
    for (i1 = 0; i1 < 8; i1++) {
      d0 += b_a[i0 + (i1 << 2)] * dv1[i1];
    }

    dv6[i0] = dv0[i0] + d0;
  }

  softmax_apply(dv6, Y);
}

/*
 * File trailer for neural_function.c
 *
 * [EOF]
 */
